/*
 *	FM-7 EMULATOR "XM7"
 *
 *	Copyright (C) 1999-2025 ohD(Twitter:@xm6_original)
 *	Copyright (C) 2001-2025 Ryu Takegami (Twitter:@RyuTakegami)
 *	Copyright (C) 2010-2025 GIMONS
 *	Copyright (C) 2010-2025 Toma
 *
 *	[ _ZE (MB61VH010/011) ]
 */

#ifndef _aluline_h_
#define _aluline_h_

#if XM7_VER >= 2

#ifdef __cplusplus
extern "C" {
#endif
/*
 *	vGg
 */
BOOL FASTCALL aluline_init(void);
										/*  */
void FASTCALL aluline_cleanup(void);
										/* N[Abv */
void FASTCALL aluline_reset(void);
										/* Zbg */
BOOL FASTCALL aluline_readb(WORD addr, BYTE *dat);
										/* ǂݏo */
BOOL FASTCALL aluline_writeb(WORD addr, BYTE dat);
										/*  */
void FASTCALL aluline_extrb(WORD addr);
										/* VRAM_~[[h */
BOOL FASTCALL aluline_save(int fileh);
										/* Z[u */
BOOL FASTCALL aluline_load(int fileh, int ver);
										/* [h */

/*
 *	v[N
 */
extern BYTE alu_command;
										/* _Z R}h */
extern BYTE alu_color;
										/* _Z J[ */
extern BYTE alu_mask;
										/* _Z }XNrbg */
extern BYTE alu_cmpstat;
										/* _Z rXe[^X */
extern BYTE alu_cmpdat[8];
										/* _Z rf[^ */
extern BYTE alu_disable;
										/* _Z ֎~oN */
extern BYTE alu_tiledat[3];
										/* _Z ^Cp^[ */

extern BOOL line_busy;
										/*  BUSY */
extern WORD line_offset;
										/*  AhXItZbg */
extern WORD line_style;
										/*  CX^C */
extern WORD line_x0;
										/*  X0 */
extern WORD line_y0;
										/*  Y0 */
extern WORD line_x1;
										/*  X1 */
extern WORD line_y1;
										/*  Y1 */
extern BOOL line_boost;
										/*  S͕`tO */
#ifdef __cplusplus
}
#endif

#endif	/* XM7_VER >= 2 */
#endif	/* _aluline_h_ */
