/*
 *	FM-7 EMULATOR "XM7"
 *
 *	Copyright (C) 1999-2025 ohD(Twitter:@xm6_original)
 *	Copyright (C) 2001-2025 Ryu Takegami (Twitter:@RyuTakegami)
 *	Copyright (C) 2010-2025 GIMONS
 *	Copyright (C) 2010-2025 Toma
 *
 *	[ {J[h / gRAMJ[h-64 / gTuVXeROM ]
 */

#ifndef _jcard_h_
#define _jcard_h_

#if XM7_VER >= 2

/*
 *	萔`
 */
#define JCARD_OFF			0				/* OFF */
#define JCARD_RAM			1				/* 64KB RAM */
#define JCARD_ON			2				/* JCARD */

#ifdef __cplusplus
extern "C" {
#endif
/*
 *	vGg
 */
BOOL FASTCALL jcard_init(void);
										/*  */
void FASTCALL jcard_cleanup(void);
										/* N[Abv */
void FASTCALL jcard_reset(void);
										/* Zbg */
BYTE FASTCALL jcard_readb(WORD addr);
										/* ǂݏo */
void FASTCALL jcard_writeb(WORD addr, BYTE dat);
										/*  */
BOOL FASTCALL jcard_save(int fileh);
										/* Z[u */
BOOL FASTCALL jcard_load(int fileh, int ver, BOOL bflag);
										/* [h */

/*
 *	 (FM77AV40E{J[h)
 */
extern BYTE *extram_b;
										/* gRAM         $10000 */
extern BYTE *dicrom;
										/* ROM         $40000 */
#if XM7_VER >= 3
extern BYTE *extrom;
										/* gROM(EX/SX)  $20000 */
#endif
extern BYTE *dicram;
										/* wKRAM          $2000 */

/*
 *	v[N
 */
extern BYTE dicrom_bank;
										/* ROMoNԍ */
extern BOOL dicrom_en;
										/* ROMANeBu */
extern BOOL dicram_en;
										/* wKRAMANeBu */
#if XM7_VER >= 3
extern BOOL extrom_sel;
										/* ROM/gROMItO */
#endif
extern BOOL jcard_available;
										/* {J[hgp\tO */
extern BYTE jcard_mode;
										/* {J[h샂[h */
#ifdef __cplusplus
}
#endif

#endif	/* XM7_VER >= 2 */
#endif	/* _jcard_h_ */
