/*
 *	FM-7 EMULATOR "XM7"
 *
 *	Copyright (C) 1999-2025 ohD(Twitter:@xm6_original)
 *	Copyright (C) 2001-2025 Ryu Takegami (Twitter:@RyuTakegami)
 *	Copyright (C) 2010-2025 GIMONS
 *	Copyright (C) 2010-2025 Toma
 *
 *	[ Win32API \ ]
 */

#ifdef _WIN32

#ifndef _w32_draw_h_
#define _w32_draw_h_

/*
 *	萔`(V2p)
 */
#define	V2XPoint	464
#define	V2YPoint	10
#define	V2XSize		27
#define	V2YSize		14
#define	V2XPxSz		5
#define	V2YPxSz		2

#ifdef _w32_h_

#ifdef __cplusplus
extern "C" {
#endif
/*
 *	vGg
 */
void FASTCALL InitDraw(void);
										/*  */
void FASTCALL CleanDraw(void);
										/* N[Abv */
BOOL FASTCALL SelectDraw(HWND hWnd);
										/* ZNg */
void FASTCALL ModeDraw(HWND hWnd, BOOL bFullScreen);
										/* `惂[hύX */
void FASTCALL OnPaint(HWND hWnd);
										/* ĕ` */
void FASTCALL OnDraw(HWND hWnd, HDC hDC);
										/* ` */
void FASTCALL EnterMenu(HWND hWnd, BOOL flag);
										/* j[Jn */
void FASTCALL ExitMenu(BOOL flag);
										/* j[I */
void FASTCALL SetDirtyFlag(int top, int bottom, BOOL flag);
										/* ĕ`惉X^ꊇݒ */
#ifdef FILTERDLL
void FASTCALL ReDraw(HWND hWnd);
										/* [hċN */
BOOL FASTCALL SetFilterParameter(WORD wParam);
										/* O摜tB^p[^ݒ */
#endif
#if defined(ENGLISH_SUPPORT) || defined(RES_DLL)
void FASTCALL LoadMessageScreen(void);
										/* ʃbZ[W[h */
#endif
#endif	/* _w32_h_ */


/*
 *	v[N
 */
extern BOOL bFullScreen;
										/* tXN[ */
extern BOOL bFullScan;
										/* tXL(Window) */
extern int nScalingSize;
										/* n{\TCY */
#ifdef FILTERDLL
extern BOOL bAspectRatio;
										/* AXyNg䒲tO */
extern double dAspectRatio;
										/* AXyNg */
extern BOOL bFilterDll;
										/* O摜tB^DLLFtO */
extern BOOL bUseFilterDll;
										/* O摜tB^DLLgptO */
extern char szFilterDll[_MAX_FNAME];
										/* O摜tB^DLLt@C */
extern DWORD dwFilterDllFlg;
										/* O摜tB^DLLOtO */
extern DWORD dwFilterDllDepFlg;
										/* O摜tB^DLLtO */
#endif
extern BOOL bPseudo400Line;
										/* ^400CtO */
extern MONITORTYPE nMonitorType;
										/* j^^Cv */
extern BOOL bRasterRendering;
										/* X^_OtO */
#if (XM7_VER == 2) && defined(FMTV151)
extern const BYTE nV2data[];
										/* V2f[^ */
#endif
extern BYTE bmpDrive[6][0x100];
										/* Xe[^XhCuBMP */
#if XM7_VER == 1 && defined(SFDC)
extern const BYTE bmp2HD[];
										/* 2HD BMP */
#endif	/* XM7_VER == 1 && defined(SFDC) */
#if XM7_VER == 1 && defined(BUBBLE)
extern const BYTE bmpUnit[][0xa0];
										/* 2HD BMP */
#endif	/* XM7_VER == 1 && defined(BUBBLE) */
extern BOOL bPaletteRefresh;
										/* pbgXVtO */
extern BOOL bMultiPageRefresh;
										/* }`y[WXVtO */
#if XM7_VER == 1
extern BYTE nBubbleCommand[2];
										/* R}hWX^ */
extern WORD wBubblePageReg[2];
										/* y[WWX^ */
extern WORD wBubbleCountReg[2];
										/* y[WJEgWX^ */
#endif
#ifdef __cplusplus
}
#endif

#endif	/* _w32_draw_h_ */
#endif	/* _WIN32 */
