/*
 *	FM-7 EMULATOR "XM7"
 *
 *	Copyright (C) 1999-2025 ohD(Twitter:@xm6_original)
 *	Copyright (C) 2001-2025 Ryu Takegami (Twitter:@RyuTakegami)
 *	Copyright (C) 2010-2025 GIMONS
 *	Copyright (C) 2010-2025 Toma
 *	line printer support 2010-2025 by Ben.JP
 *
 *	[ Win32API ʎq` ]
 */

#ifdef _WIN32

#ifndef _w32_res_h_
#define _w32_res_h_

/*						{			p		ID
 *	XM7		IDR/IDI/IDD	101-199,	US	601-699		+500
 *	XM7dash				301-499,	US	801-899		+500
 *	XM7		IDC/IDS		1000-1999	US	6000-6999	+5000
 *	XM7dash				2000-2999	US	7000-7999	+5000
 *	XM7		IDM/IDS		40000-41299	US	45000-46799	+5000
 *	XM7dash				50000-51199	US	55000-56199	+5000
 */

/* pꃊ\[XT|[g */
#ifndef RES_DLL
#define ENGLISH_SUPPORT
#endif

/* j[AANZ[^A^C}[AACRA_CAO */
#define IDR_MAINMENU					101
#define IDR_ACCELERATOR 				102
#define IDR_TIMER						103
#if XM7_VER != 2
#define IDI_APPICON						104
#else
#define IDI_AVICON						104
#endif
#define IDD_ABOUTDLG					105
#define IDI_WNDICON						106
#define IDR_DISASMMENU					107
#define IDR_DISASMZ80MENU				143
#define IDD_ADDRDLG						108
#define IDR_BREAKPOINTMENU				109
#define IDD_TITLEDLG					110
#define IDD_GENERALPAGE					111
#define IDD_SOUNDPAGE					112
#define IDD_KBDPAGE						113
#define IDD_KEYINDLG					114
#define IDD_JOYPAGE						115
#define IDI_FUJICON						116
#define IDD_SCRPAGE						117
#define IDD_OPTPAGE						118
#define IDI_2DDICON						119
#if XM7_VER != 2
#define IDI_AVICON						120
#endif
#define IDI_TAMORIICON					121
#define IDI_FUJICON2					122
#define IDD_TITLEDLG_2D					123
#define IDI_SXICON						124
#define IDI_D77ICON						125
#define IDI_2DICON						126
#define IDI_VFDICON						127
#define IDI_VERICON						128
#define IDI_2HDICON						129
#define IDD_BREAKPDLG					130
#define IDR_MEMDMPMENU					131
#define IDR_MEMDMPMAINMENU				145
#define IDD_MEMDLG						132
#define IDD_REGDLG						133
#define IDR_CPUREGMENU					134
#define IDR_CPUREGZ80MENU				144
#define IDD_SEARCHDLG					135
#define IDD_SOUNDPAGE2					136
#define IDD_PORTPAGE					137
#define IDD_VOLUMEPAGE					138
#define IDD_MEDIATYPEDLG				139
#define IDD_LPRPAGE						140
#define IDD_ETCPAGE						142
#define IDD_COPYPASTEDLG				143
#define IDD_MEDIASLCTDLG				301
#define IDD_ASPECTRATIODLG				302
#define IDD_KEYSTROKEDLG				303
#define IDD_RESUMEPAGE					350
#define IDD_OPT2PAGE					351
#define IDD_STRPAGE						352
#define IDD_PANPAGE						353

/* ACR (by tenmaru) */
#define	IDI_FM8ICON						150
#define	IDI_FM7ICON						151
#define	IDI_FM77ICON					152
#define	IDI_77AVICON					153
#define	IDI_40EXICON					154
#define	IDI_40SXICON					155
#define	IDI_40EXICON2					156
#define	IDI_FM11ICON					157	/* reserved... */
#define	IDI_FDICON_1					160
#define	IDI_FDICON_1_2D					161
#define	IDI_FDICON_1_D77				162
#define	IDI_FDICON_1_VFD				163
#define	IDI_FDICON_2					164
#define	IDI_FDICON_2_2D					165
#define	IDI_FDICON_2_2DD				166
#define	IDI_FDICON_2_D77				167
#define	IDI_FDICON_2_VFD				168
#define	IDI_FDICON_3					169
#define	IDI_FDICON_3_2D					170
#define	IDI_FDICON_3_2DD				171
#define	IDI_FDICON_3_D77				172
#define	IDI_FDICON_3_VFD				173
#define	IDI_TAPEICON					174
#define	IDI_TAPEICON_T77				175
#define	IDI_FDICON_1_2HD				400
#define	IDI_FDICON_4					401
#define	IDI_FDICON_4_2HD				402
#define	IDI_FDICON_4_D77				403
#define	IDI_AV20ICON					404
#define	IDI_AV40ICON					405
#define	IDI_20EXICON					406
#define	IDI_FM77ICON2					407

#ifdef ENGLISH_SUPPORT
/* j[AANZ[^A^C}[AACRA_CAO(US) */
#define IDR_US_MAINMENU					601
#define IDD_US_ABOUTDLG					605
#define IDR_US_DISASMMENU				607
#define IDR_US_DISASMZ80MENU			643
#define IDD_US_ADDRDLG					608
#define IDR_US_BREAKPOINTMENU			609
#define IDD_US_TITLEDLG					610
#define IDD_US_GENERALPAGE				611
#define IDD_US_SOUNDPAGE				612
#define IDD_US_KBDPAGE					613
#define IDD_US_KEYINDLG					614
#define IDD_US_JOYPAGE					615
#define IDD_US_SCRPAGE					617
#define IDD_US_OPTPAGE					618
#define IDD_US_TITLEDLG_2D				623
#define IDD_US_BREAKPDLG				630
#define IDR_US_MEMDMPMENU				631
#define IDR_US_MEMDMPMAINMENU			645
#define IDD_US_MEMDLG					632
#define IDD_US_REGDLG					633
#define IDR_US_CPUREGMENU				634
#define IDR_US_CPUREGZ80MENU			644
#define IDD_US_SEARCHDLG				635
#define IDD_US_SOUNDPAGE2				636
#define IDD_US_PORTPAGE					637
#define IDD_US_VOLUMEPAGE				638
#define IDD_US_MEDIATYPEDLG				639
#define IDD_US_LPRPAGE					640
#define IDD_US_ETCPAGE					642
#define IDD_US_COPYPASTEDLG				643
#define IDD_US_MEDIASLCTDLG				801
#define IDD_US_ASPECTRATIODLG			802
#define IDD_US_KEYSTROKEDLG				803
#define IDD_US_RESUMEPAGE				850
#define IDD_US_OPT2PAGE					851
#define IDD_US_STRPAGE					852
#define IDD_US_PANPAGE					853
#endif

/* ReLXgj[ */
#define IDR_MEDIAMENU					450
#define IDR_HISTORYMENU					451
#define IDR_ASPECTMENU					452
#define IDR_BMCMENU						453
#define IDR_OPNREGMENU					454
#define IDR_OPNDISPMENU					455

#ifdef ENGLISH_SUPPORT
/* ReLXgj[(US) */
#define IDR_US_MEDIAMENU				950
#define IDR_US_HISTORYMENU				951
#define IDR_US_ASPECTMENU				952
#define IDR_US_BMCMENU					953
#define IDR_US_OPNREGMENU				954
#define IDR_US_OPNDISPMENU				955
#endif

/* `ChEChE */
#define ID_TOOL_BAR						1000
#define ID_STATUS_BAR					1001
#define ID_CAPTURE_WINDOW				1002

/* o[W_CAO */
#define IDC_TITLE						1010
#define IDC_COPYRIGHT					1011
#define IDC_ABOUTICON					1012
#define IDC_FMCOPY						1013
#define IDC_VERSION						1014
#define IDC_URL_OLD						1015
#define IDC_COPYRIGHT_RHG				1015
#define IDC_COPYRIGHT_USA				1016
#define IDC_COPYRIGHT_TENMARU			1017
#define IDC_LPCOPYRIGHT					1022
#define IDC_BASE_VERSION				2000
#define IDC_COPYRIGHT_TOM				2001
#define IDC_COPYRIGHT_GIMONS			2002
#define IDC_COPYRIGHT_NENECCHI			2003
#define IDC_URL							2004
#define IDC_URL2						2005
#define IDC_URL3						2006
#define IDC_URL4						2007
#define IDC_URL5						2008
#define IDC_URL6						2009

/* AhX̓_CAO */
#define IDC_ADDRLABEL					1023
#define IDC_ADDRCOMBO					1024

/* l̓_CAO */
#define IDC_MEMLABEL					1025
#define IDC_MEMEDIT						1026

/* WX^l̓_CAO */
#define IDC_REGLABEL					1027
#define IDC_REGEDIT						1028

/* _CAO */
#define IDC_SEARCHDATA					1029
#define IDC_SEARCHADDR					1030

/* ^Cg̓_CAO */
#define IDC_TITLELABEL					1031
#define IDC_TITLEEDIT					1032
#define IDC_TITLEGROUP					1033
#define IDC_TITLE2D						1034
#if XM7_VER == 1 && defined(SFDC)
#define IDC_TITLE2HD					1035
#else	/* XM7_VER == 1 && defined(SFDC) */
#define IDC_TITLE2DD					1035
#endif	/* XM7_VER == 1 && defined(SFDC) */
#define IDC_TITLEUSRDISK				1036
#define IDC_TITLELABEL2D				1037
#define IDC_TITLEEDIT2D					1038
#define IDC_TITLEINTERLEAVE				2050

#if XM7_VER == 1 && defined(BUBBLE)
/* oufBA^CvI_CAO */
#define IDC_MEDIATYPEGROUP				2100
#define IDC_MEDIATYPE32KB				2101
#define IDC_MEDIATYPE128KB				2102
#define IDC_MEDIAFORMATGROUP			1310
#define IDC_MEDIAFORMATB77				1311
#define IDC_MEDIAFORMATBBL				1312
#endif	/* XM7_VER == 1 && defined(BUBBLE) */

/* Nbv{[h\t/L[͎x@\ݒ_CAO */
#define IDC_PASTETEXT					2010
#define IDC_PASTEEDIT					2011
#define IDC_PASTESPIN					2012
#define IDC_PASTETEXTMS					2013
#define IDC_PASTECNTLTEXT				2014
#define IDC_PASTECNTLEDIT				2015
#define IDC_PASTECNTLSPIN				2016
#define IDC_PASTECNTLTEXTMS				2017

/* L[͎x_CAO */
#define IDC_KEYSTROKEEDIT				2020

/* AXyNgݒ_CAO */
#define IDC_ASPECTLABEL					2030
#define IDC_ASPECTEDIT					2031
#define IDC_ASPECTSPIN					2032
#define IDC_ASPECT_MB273XX				2033
#define IDC_ASPECT_FMTVXXX				2034

/* OEBhE */
#define IDC_LOGLIST						2040

/* vpeBy[W */
#define IDC_GP_FM7						1040
#define IDC_GP_FM77AV					1041
#define IDC_GP_FM8						1041
#define IDC_GP_SPEEDMODEG				1042
#define IDC_GP_HIGHSPEED				1043
#define IDC_GP_MIDSPEED					1044
#define IDC_GP_LOWSPEED					1045
#define IDC_GP_SPEEDG					1046
#define IDC_GP_HELP						1047
#define IDC_GP_TAPESPEED				1048
#define IDC_GP_CPUCOMBO					1049
#define IDC_GP_CPUTEXT					1050
#define IDC_GP_CPUSPIN					1051
#define IDC_GP_CPULABEL					1052
#define IDC_GP_MACHINEG					1053
#define IDC_GP_AV40EX					1054
#define IDC_GP_FM77						1055
#define IDC_GP_FULLSPEED				1056
#define IDC_GP_AUTOSPEEDADJUST			1057
#define IDC_GP_FDDWAIT					1058
#define IDC_GP_TAPESPEEDMODE			1059
#define IDC_GP_CPUDEFAULT				1060
#define IDC_GP_CPUSPEEDG				1061
#define IDC_GP_MAIN2MHZ					1062
#define IDC_GP_MAIN1MHZ					1063
#define IDC_GP_77AV20					2110
#define IDC_GP_77AV40					2111
#define IDC_GP_AV20EX					2112
#define IDC_GP_SUB2MHZ					2113
#define IDC_GP_SUB1MHZ					2114
#define IDC_GP_LOWSPEEDMODE				2115
#define IDC_GP_MAINL					2116
#define IDC_GP_SUBL						2117

#ifdef ENGLISH_SUPPORT
/* vpeBy[W(US) */
#define IDC_US_GP_FM7					6040
#define IDC_US_GP_FM77AV				6041
#define IDC_US_GP_FM8					6041
#define IDC_US_GP_SPEEDMODEG			6042
#define IDC_US_GP_SPEEDG				6046
#define IDC_US_GP_TAPESPEED				6048
#define IDC_US_GP_MACHINEG				6053
#define IDC_US_GP_AV40EX				6054
#define IDC_US_GP_FM77					6055
#define IDC_US_GP_FULLSPEED				6056
#define IDC_US_GP_AUTOSPEEDADJUST		6057
#define IDC_US_GP_FDDWAIT				6058
#define IDC_US_GP_TAPESPEEDMODE			6059
#define IDC_US_GP_CPUDEFAULT			6060
#define IDC_US_GP_CPUSPEEDG				6061
#define IDC_US_GP_77AV20				7110
#define IDC_US_GP_77AV40				7111
#define IDC_US_GP_AV20EX				7112
#define IDC_US_GP_LOWSPEEDMODE			7115
#endif

/* TEhy[W */
#define IDC_SP_BEEPG					1070
#define IDC_SP_RATEG					1071
#define IDC_SP_96K						1072
#define IDC_SP_88K						1073
#define IDC_SP_51K						1095
#define IDC_SP_48K						1074
#define IDC_SP_44K						1075
#define IDC_SP_25K						1096
#define IDC_SP_22K						1076
#define IDC_SP_NONE						1077
#define IDC_SP_BUFFERG					1078
#define IDC_SP_BUFMS					1079
#define IDC_SP_BUFEDIT					1080
#define IDC_SP_BUFSPIN					1081
#define IDC_SP_BUFTEXT					1082
#define IDC_SP_BEEPEDIT					1083
#define IDC_SP_BEEPTEXT					1084
#define IDC_SP_BEEPHZ					1085
#define IDC_SP_BEEPSPIN					1086
#define IDC_SP_HQMODE					1087
#define IDC_SP_STEREOTEXT				1088
#define IDC_SP_STEREO					1089
#define IDC_SP_TAPEMON					1090
//		IDC_SP_ROMEO					1091
//		IDC_SP_SCCI						IDC_SP_ROMEO
#define IDC_SP_SOUNDTEXT				1091
#define IDC_SP_OPTIONG					1092
#define IDC_SP_FDDSOUND					1093
#define IDC_SP_HELP						1094
#define IDC_SP_SOUND_GLOBAL				2120
//		IDC_SP_FMDLL					2121
#define IDC_SP_SOUNDMODULE				2121

#ifdef ENGLISH_SUPPORT
/* TEhy[W(US) */
#define IDC_US_SP_BEEPG					6070
#define IDC_US_SP_RATEG					6071
#define IDC_US_SP_BUFFERG				6078
#define IDC_US_SP_HQMODE				6087
#define IDC_US_SP_TAPEMON				6090
//		IDC_US_SP_ROMEO					6091
//		IDC_US_SP_SCCI					IDC_US_SP_ROMEO
#define IDC_US_SP_SOUNDTEXT				6091
#define IDC_US_SP_FDDSOUND				6093
#define IDC_US_SP_SOUND_GLOBAL			2120
//		IDC_US_SP_FMDLL					7121
#define IDC_US_SP_SOUNDMODULE			7121
#endif

/* ʒ_CAO */
#define IDC_VP_SEPARATIONG				1100
#define IDC_VP_SEPARATIONCAPTION		1101
#define IDC_VP_SEPARATION				1102
#define IDC_VP_SEPARATIONTEXT			1103
#define IDC_VP_VOLUMEG					1104
#define IDC_VP_FMCAPTION				1105
#define IDC_VP_FMVOLUME					1106
#define IDC_VP_FMVOLUMETEXT				1107
#define IDC_VP_PSGCAPTION				1108
#define IDC_VP_PSGVOLUME				1109
#define IDC_VP_PSGVOLUMETEXT			1110
#define IDC_VP_BEEPCAPTION				1111
#define IDC_VP_BEEPVOLUME				1112
#define IDC_VP_BEEPVOLUMETEXT			1113
#define IDC_VP_CMTCAPTION				1114
#define IDC_VP_CMTVOLUME				1115
#define IDC_VP_CMTVOLUMETEXT			1116
#define IDC_VP_WAVECAPTION				1117
#define IDC_VP_WAVEVOLUME				1118
#define IDC_VP_WAVEVOLUMETEXT			1119
#define IDC_VP_DEFAULT					1120
#define IDC_VP_HELP						1121

#ifdef ENGLISH_SUPPORT
/* ʒ_CAO(US) */
#define IDC_US_VP_SEPARATIONG			6100
#define IDC_US_VP_VOLUMEG				6104
#define IDC_US_VP_DEFAULT				6120
#endif

/* XeIݒy[W */
#define IDC_PP_STEREOG					2130
#define IDC_PP_SET1S					2131
#define IDC_PP_SET1W					2132
#define IDC_PP_SET1T					2133
#define IDC_PP_SET1P					2134
#define IDC_PP_SET2S					2135
#define IDC_PP_SET2W					2136
#define IDC_PP_SET2T					2137
#define IDC_PP_SET2P					2138
#define IDC_PP_SET3S					2139
#define IDC_PP_SET3W					2140
#define IDC_PP_SET3T					2141
#define IDC_PP_SET3P					2142
#define IDC_PP_SET4S					2143
#define IDC_PP_SET4W					2144
#define IDC_PP_SET4T					2145
#define IDC_PP_SET4P					2146
#define IDC_PP_DEFAULT					2147
#define IDC_PP_HELP						2148

#ifdef ENGLISH_SUPPORT
/* XeIݒy[W(US) */
#define IDC_US_PP_STEREOG				7130
#define IDC_US_PP_DEFAULT				7147
#endif

/* L[{[hy[W */
#define IDC_KP_MAPG						1130
#define IDC_KP_LIST						1131
#define IDC_KP_101B						1132
#define IDC_KP_106B						1133
#define IDC_KP_98B						1134
#define IDC_KP_USEARROWFOR10			1135
#define IDC_KP_KBDREAL					1136
#define IDC_KP_ARROW8DIR				1137
#define IDC_KP_COPYPASTE				1138
#define IDC_KP_HELP						1139

#ifdef ENGLISH_SUPPORT
/* L[{[hy[W(US) */
#define IDC_US_KP_LIST					6131
#define IDC_US_KP_101B					6132
#define IDC_US_KP_106B					6133
#define IDC_US_KP_98B					6134
#define IDC_US_KP_USEARROWFOR10			6135
#define IDC_US_KP_KBDREAL				6136
#define IDC_US_KP_ARROW8DIR				6137
#define IDC_US_KP_COPYPASTE				6138
#endif

/* L[̓_CAO */
#define IDC_KEYIN_LABEL					1140
#define IDC_KEYIN_STATIC				1141
#define IDC_KEYIN_KEY					1142
#define IDC_KEYIN_OK					1143
#define IDC_KEYIN_CANCEL				1144

#ifdef ENGLISH_SUPPORT
/* L[̓_CAO(US) */
#define IDC_US_KEYIN_LABEL				6140
#define IDC_US_KEYIN_KEY				6142
#endif

/* WCXeBbNy[W */
#define IDC_JP_PORTG					1150
#define IDC_JP_PORT1					1151
#define IDC_JP_PORT2					1152
#define IDC_JP_PORTC					IDC_JP_PORT1
#define IDC_JP_TYPEG					1153
#define IDC_JP_TYPEC					1154
#define IDC_JP_RAPIDG					1155
#define IDC_JP_RAPIDA					1156
#define IDC_JP_RAPIDB					1157
#define IDC_JP_RAPIDAC					1158
#define IDC_JP_RAPIDBC					1159
#define IDC_JP_CODEG					1160
#define IDC_JP_UP						1161
#define IDC_JP_UPC						1162
#define IDC_JP_DOWN						1163
#define IDC_JP_DOWNC					1164
#define IDC_JP_LEFT						1165
#define IDC_JP_LEFTC					1166
#define IDC_JP_RIGHT					1167
#define IDC_JP_RIGHTC					1168
#define IDC_JP_CENTER					1169
#define IDC_JP_CENTERC					1170
#define IDC_JP_A						1171
#define IDC_JP_AC						1172
#define IDC_JP_B						1173
#define IDC_JP_BC						1174
#define IDC_JP_HELP						1175

#ifdef ENGLISH_SUPPORT
/* WCXeBbNy[W(US) */
#define IDC_US_JP_PORTG					6150
#define IDC_US_JP_TYPEG					6153
#define IDC_US_JP_RAPIDG				6155
#define IDC_US_JP_CODEG					6160
#define IDC_US_JP_UP					6161
#define IDC_US_JP_DOWN					6163
#define IDC_US_JP_LEFT					6165
#define IDC_US_JP_RIGHT					6167
#define IDC_US_JP_A						6171
#define IDC_US_JP_B						6173
#endif

/* XN[y[W */
#define IDC_SCP_MODEG					1180
#define IDC_SCP_WING					1181
#define IDC_SCP_ETCG					1182
#define IDC_SCP_MODE					1183
#define IDC_SCP_MODEC					1184
#define IDC_SCP_CAPTIONB				1185
#define IDC_SCP_TRUECOLOR				1186
#define IDC_SCP_24K						1187
//		IDC_SCP_24KFS					1188
//		IDC_SCP_DOUBLESIZE				1189
#define IDC_SCP_RASTERRENDER			1190
#define IDC_SCP_PSEUDO400LINE			1191
#define IDC_SCP_MONITORTYPE				1192
#define IDC_SCP_MONITORTYPEC			1193
#define	IDC_SCP_FILTERDLL				2151
#define IDC_SCP_HELP					1194

#ifdef ENGLISH_SUPPORT
/* XN[y[W(US) */
#define IDC_US_SCP_MODEG				6180
#define IDC_US_SCP_ETCG					6182
#define IDC_US_SCP_CAPTIONB				6185
#define IDC_US_SCP_TRUECOLOR			6186
#define IDC_US_SCP_24K					6187
#define IDC_US_SCP_RASTERRENDER			6190
#define IDC_US_SCP_PSEUDO400LINE		6191
//		IDC_US_SCP_MONITORTYPE			6192
#define	IDC_US_SCP_FILTERDLL			7151
#endif

/* IvVy[W */
#define IDC_OP_WHGG						1200
#define IDC_OP_WHGB						1201
#define IDC_OP_THGB						1212
#define IDC_OP_DIGITIZEG				1223
#define IDC_OP_DIGITIZEB				1234
//		IDC_OP_RAMG						1245
//		IDC_OP_RAMB						1256
#define	IDC_OP_FMTV151G					1245
#define	IDC_OP_FMTV151B					1246
#define	IDC_OP_MOUSEG					1257
#define	IDC_OP_MOUSEEM					1258
#define	IDC_OP_MOUSE_PORT1				1259
#define	IDC_OP_MOUSE_PORT2				1260
#define	IDC_OP_MOUSE_FMMOUSE			1261
#define IDC_OP_OPNB						1262
#define IDC_OP_400LINEG					1263
#define IDC_OP_400LINEB					1264
#define IDC_OP_MOUSESW					1265
#define IDC_OP_MOUSESWC					1266
//		IDC_OP_JSUBG					1267
//		IDC_OP_JSUBB					1268
//		IDC_OP_BMCG						1269
//		IDC_OP_BMCB						1270
//		IDC_OP_JCARDG					1271
//		IDC_OP_JCARDB					1272
#define IDC_OP_OTHERG					2160
#define IDC_OP_MAGUSPATCH				2161
#define IDC_OP_Z80CARDG					2162
#define IDC_OP_Z80CARD					2163
#define IDC_OP_HELP						1273

#ifdef ENGLISH_SUPPORT
/* IvVy[W */
#define IDC_US_OP_WHGB					6201
#define IDC_US_OP_THGB					6212
#define IDC_US_OP_DIGITIZEG				6223
#define	IDC_US_OP_FMTV151G				6245
#define	IDC_US_OP_MOUSEG				6257
#define	IDC_US_OP_MOUSEEM				6258
#define	IDC_US_OP_MOUSE_PORT1			6259
#define	IDC_US_OP_MOUSE_PORT2			6260
#define	IDC_US_OP_MOUSE_FMMOUSE			6261
#define IDC_US_OP_OPNB					6262
#define IDC_US_OP_400LINEG				6263
#define IDC_US_OP_MOUSESW				6265
#define IDC_US_OP_MOUSESWC				6266
#define IDC_US_OP_OTHERG				7160
#define IDC_US_OP_Z80CARDG				7162
#endif

/* u[N|Cg_CAO */
#define IDC_BREAKP_ADDRLABEL			1280
#define IDC_BREAKP_ADDRCOMBO			1281
#define IDC_BREAKP_CPUGROUP				1282
#define IDC_BREAKP_CPU_MAIN				1283
#define IDC_BREAKP_CPU_SUB				1284
#define IDC_BREAKP_CPU_JSUB				1285
#define IDC_BREAKP_CPU_MAINZ80			1286

/* |[gy[W */
#define IDC_POP_MIDIG					1290
#define IDC_POP_MIDIDEV					1291
#define IDC_POP_MIDIDEVC				1292
#define IDC_POP_MIDIDLY					1293
#define IDC_POP_MIDIDLYEDIT				1294
#define IDC_POP_MIDIDLYSPIN				1295
#define IDC_POP_MIDIDLYMS				1296
#define IDC_POP_MIDIDLYSB				1297
#define IDC_POP_MIDIENABLE				1306
#define IDC_POP_COMG					1298
#define IDC_POP_COMPORT					1299
#define IDC_POP_COMPORTC				1300
#define IDC_POP_COMENABLE				1301
#define IDC_POP_COMBPS					1302
#define IDC_POP_COMBPSC					1303
#define IDC_POP_RESETMSG				1304
#define IDC_POP_HELP					1305

#ifdef ENGLISH_SUPPORT
/* |[gy[W(US) */
#define IDC_US_POP_MIDIG				6290
#define IDC_US_POP_MIDIDLY				6293
#define IDC_US_POP_MIDIDLYSB			6297
#define IDC_US_POP_MIDIENABLE			6306
#define IDC_US_POP_COMG					6298
#define IDC_US_POP_COMENABLE			6301
#define IDC_US_POP_COMBPSC				6303
#endif

/* v^y[W */
#ifdef LPRINT
#define IDC_LPP_LPRG					1310
#define IDC_LPP_LPRENABLE				1311
#define IDC_LPP_LPROSFNT				1312
#define IDC_LPP_LPRKANJI				1313
#define IDC_LPP_LPRVMLOCK				2170
#define IDC_LPP_LPROUTLOG				1314
#define IDC_LPP_LPROUTPL				1315
#define IDC_LPP_LPROUTPE				1316
#define IDC_LPP_LPROUTPB				1317
#define IDC_LPP_LPRJASTSOUND			1318
#define IDC_LPP_LPRDISABLE				1319
#define IDC_LPP_HELP					1320

#ifdef ENGLISH_SUPPORT
/* v^y[W(US) */
#define IDC_US_LPP_LPRG					6310
#define IDC_US_LPP_LPRENABLE			6311
#define IDC_US_LPP_LPROSFNT				6312
#define IDC_US_LPP_LPRKANJI				6313
#define IDC_US_LPP_LPRVMLOCK			7170
#define IDC_US_LPP_LPROUTLOG			6314
#define IDC_US_LPP_LPROUTPL				6315
#define IDC_US_LPP_LPROUTPE				6316
#define IDC_US_LPP_LPROUTPB				6317
#define IDC_US_LPP_LPRJASTSOUND			6318
#define IDC_US_LPP_LPRDISABLE			6319
#endif
#endif

/* IvV2y[W */
#define IDC_O2P_RAMG					2200
#define IDC_O2P_RAMOFF					2201
#define IDC_O2P_RAM256					2202
#define IDC_O2P_RAM768					2203
#define IDC_O2P_JCARDG					2204
#define IDC_O2P_JCARDOFF				2205
#define IDC_O2P_JCARDRAM				2206
#define IDC_O2P_JCARDON					2207
#define IDC_O2P_EXRAMG					2208
#define IDC_O2P_EXRAMOFF				2209
#define IDC_O2P_EXRAM64					2210
#define IDC_O2P_EXRAM192				2211
#define IDC_O2P_EXRAM960				2212
#define IDC_O2P_JSUBG					2213
#define IDC_O2P_JSUBB					2214
#define IDC_O2P_JSUBKNJ1				2215
#define IDC_O2P_JSUBKNJ2				2216
#define IDC_O2P_MISC					2217
#define IDC_O2P_MFDB					2218
#define IDC_O2P_KROMB					2219
#define IDC_O2P_ROMRAMWRITEB			2220
#define IDC_O2P_FM8OPT					2221
#define IDC_O2P_FM8PSG					2222
#define IDC_O2P_FM8BNKL					2223
#define IDC_O2P_FM8BNKB					2224
#define IDS_O2P_FM8BNK_OFF				2225
#define IDS_O2P_FM8BNK_ON				2226
#define IDS_O2P_FM8BNK_DIPSW			2227
#define IDS_O2P_FM8BNK_RAMFILE			2228
#define IDC_O2P_FM8SUB					2229
#define IDC_O2P_FM8KEY					2230
#define IDC_O2P_FM8KEYIO				2231
#define IDC_O2P_FM8PAL					2232
#define IDC_O2P_FM8IRQ					2233
#define IDC_O2P_TAPECPUSPEED			2234
#define IDC_O2P_HELP					2235

#ifdef ENGLISH_SUPPORT
/* IvV2y[W(US) */
#define IDC_US_O2P_RAMG					7200
#define IDC_US_O2P_RAMOFF				7201
#define IDC_US_O2P_RAM256				7202
#define IDC_US_O2P_RAM768				7203
#define IDC_US_O2P_JCARDG				7204
#define IDC_US_O2P_JCARDOFF				7205
#define IDC_US_O2P_JCARDRAM				7206
#define IDC_US_O2P_JCARDON				7207
#define IDC_US_O2P_EXRAMG				7208
#define IDC_US_O2P_EXRAMOFF				7209
#define IDC_US_O2P_EXRAM64				7210
#define IDC_US_O2P_EXRAM192				7211
#define IDC_US_O2P_EXRAM960				7212
#define IDC_US_O2P_JSUBG				7213
#define IDC_US_O2P_JSUBB				7214
#define IDC_US_O2P_JSUBKNJ1				7215
#define IDC_US_O2P_JSUBKNJ2				7216
#define IDC_US_O2P_MFDB					7218
#define IDC_US_O2P_KROMB				7219
#define IDC_US_O2P_ROMRAMWRITEB			7220
#define IDC_US_O2P_FM8OPT				7221
#define IDC_US_O2P_FM8PSG				7222
#define IDC_US_O2P_FM8BNKL				7223
#define IDC_US_O2P_FM8BNKB				7224
#define IDS_US_O2P_FM8BNK_OFF			7225
#define IDS_US_O2P_FM8BNK_ON			7226
#define IDS_US_O2P_FM8BNK_DIPSW			7227
#define IDS_US_O2P_FM8BNK_RAMFILE		7228
#define IDC_US_O2P_FM8SUB				7229
#define IDC_US_O2P_FM8KEY				7230
#define IDC_US_O2P_FM8KEYIO				7231
#define IDC_US_O2P_FM8PAL				7232
#define IDC_US_O2P_FM8IRQ				7233
#define IDC_US_O2P_TAPECPUSPEED			7234
#endif

/* Xg[Wy[W */
#define IDC_STP_SFDG					2240
#define IDC_STP_SFDB					2241
#define IDC_STP_SFDI					2242
#define IDC_STP_MFDG					2243
#define IDC_STP_MFDB					2244
#define IDC_STP_MFDI					2245
#define IDC_STP_BBLG					2246
#define IDC_STP_BBLB					2247
#define IDC_STP_BBL128B					2248
#define IDC_STP_BBLLIST					2249
#define IDC_STP_HELP					2250

#ifdef ENGLISH_SUPPORT
/* Xg[Wy[W(US) */
#define IDC_US_STP_SFDG					7240
#define IDC_US_STP_SFDB					7241
#define IDC_US_STP_SFDI					7242
#define IDC_US_STP_MFDG					7243
#define IDC_US_STP_MFDB					7244
#define IDC_US_STP_MFDI					7245
#define IDC_US_STP_BBLG					7246
#define IDC_US_STP_BBLB					7247
#define IDC_US_STP_BBL128B				7248
#define IDC_US_STP_BBLLIST				7249
#endif

/* fBAI_CAO */
#define IDC_MEDIASLCT_L					2260
#define IDC_MEDIASLCT_C					2261

/* W[y[W */
#define IDC_RESUME_MOUNTG				2270
#define IDC_RESUME_FDB					2271
#define IDC_RESUME_TAPEB				2272
#define IDC_RESUME_BUBBLEB				2273
#define IDC_RESUME_ETCG					2274
#define IDC_RESUME_BOOTB				2275
#define IDC_RESUME_WINDOWB				2276
#define IDC_RESUME_SCREENB				2277
#define IDC_RESUME_DIRB					2278
#define IDC_RESUME_STATEG				2279
#define IDC_RESUME_STATEB				2280
#define IDC_RESUME_BKSTATEB				2281
#define IDC_RESUME_HELP					2282

#ifdef ENGLISH_SUPPORT
/* W[y[W(US) */
#define IDC_US_RESUME_MOUNTG			7270
#define IDC_US_RESUME_FDB				7271
#define IDC_US_RESUME_TAPEB				7272
#define IDC_US_RESUME_BUBBLEB			7273
#define IDC_US_RESUME_ETCG				7274
#define IDC_US_RESUME_BOOTB				7275
#define IDC_US_RESUME_WINDOWB			7276
#define IDC_US_RESUME_SCREENB			7277
#define IDC_US_RESUME_DIRB				7278
#define IDC_US_RESUME_STATEG			7279
#define IDC_US_RESUME_STATEB			7280
#define IDC_US_RESUME_BKSTATEB			7281
#endif

/* ̑y[W */
#define IDC_MISC_GROUP					2290
#define IDC_MISC_POPUP					2291
#define IDC_MISC_SAVE					2292
#define IDC_MISC_RESUME					2293
#define IDC_MISC_GUIG					2294
#define IDC_MISC_FNAMEB					2295
#define IDC_MISC_DIALOG					2296
#define IDC_MISC_KEYSTROKE				2297

#ifdef ENGLISH_SUPPORT
/* ̑y[W(US) */
#define IDC_US_MISC_GROUP				7290
#define IDC_US_MISC_POPUP				7291
#define IDC_US_MISC_SAVE				7292
#define IDC_US_MISC_RESUME				7293
#define IDC_US_MISC_FNAMEB				7295
#define IDC_US_MISC_DIALOG				7296
#define IDC_US_MISC_KEYSTROKE			7297
#endif

/* t@Cj[ */
#define IDM_OPEN						40001
#define IDM_SAVE						40002
#define IDM_SAVEAS						40003
#define IDM_RESET						40004
#define IDM_HOTRESET					40005
#define IDM_TABRESET					40006
#define IDM_BASIC						40007
#define IDM_DOS 						40008
#define IDM_BUBBLE						40009
#define IDM_DOS_SFD						50000
#define IDM_BASIC_DBG					50001
#define IDM_BUBBLE128					50002
#define IDM_PRINT						40010
#define IDM_QLOAD						50350
#define IDM_QSAVE						50351
#define IDM_STATE_FILE0					50210
#define IDM_STATE_FILE1					50211
#define IDM_STATE_FILE2					50212
#define IDM_STATE_FILE3					50213
#define IDM_STATE_FILE4					50214
#define IDM_STATE_FILE5					50215
#define IDM_STATE_FILE6					50216
#define IDM_STATE_FILE7					50217
#define IDM_STATE_FILE8					50218
#define IDM_STATE_FILE9					50219
#define IDM_EXIT						40011

/* hCu3j[ */
#define IDM_D3OPEN						50004
#define IDM_DB23OPEN					50005
#define IDM_D3EJECT						50006
//		IDM_D3TEMP						50007
#define IDM_D3WRITE						50008
//		IDM_D3FORCE						50009
#define IDM_D3MEDIA00					50010
#define IDM_D3MEDIA01					50011
#define IDM_D3MEDIA02					50012
#define IDM_D3MEDIA03					50013
#define IDM_D3MEDIA04					50014
#define IDM_D3MEDIA05					50015
#define IDM_D3MEDIA06					50016
#define IDM_D3MEDIA07					50017
#define IDM_D3MEDIA08					50018
#define IDM_D3MEDIA09					50019
#define IDM_D3MEDIA10					50020
#define IDM_D3MEDIA11					50021
#define IDM_D3MEDIA12					50022
#define IDM_D3MEDIA13					50023
#define IDM_D3MEDIA14					50024
#define IDM_D3MEDIA15					50025

/* hCu2j[ */
#define IDM_D2OPEN						50026
//		IDM_DB23OPEN					50027
#define IDM_D2EJECT						50028
//		IDM_D2TEMP						50029
#define IDM_D2WRITE						50030
//		IDM_D2FORCE						50031
#define IDM_D2MEDIA00					50032
#define IDM_D2MEDIA01					50033
#define IDM_D2MEDIA02					50034
#define IDM_D2MEDIA03					50035
#define IDM_D2MEDIA04					50036
#define IDM_D2MEDIA05					50037
#define IDM_D2MEDIA06					50038
#define IDM_D2MEDIA07					50039
#define IDM_D2MEDIA08					50040
#define IDM_D2MEDIA09					50041
#define IDM_D2MEDIA10					50042
#define IDM_D2MEDIA11					50043
#define IDM_D2MEDIA12					50044
#define IDM_D2MEDIA13					50045
#define IDM_D2MEDIA14					50046
#define IDM_D2MEDIA15					50047

/* hCu1j[ */
#define IDM_D1OPEN						50048
#define IDM_DBOPEN						50049
#define IDM_D1EJECT						50050
//		IDM_D1TEMP						50051
#define IDM_D1WRITE						50052
//		IDM_D1FORCE						50053
#define IDM_D1MEDIA00					50054
#define IDM_D1MEDIA01					50055
#define IDM_D1MEDIA02					50056
#define IDM_D1MEDIA03					50057
#define IDM_D1MEDIA04					50058
#define IDM_D1MEDIA05					50059
#define IDM_D1MEDIA06					50060
#define IDM_D1MEDIA07					50061
#define IDM_D1MEDIA08					50062
#define IDM_D1MEDIA09					50063
#define IDM_D1MEDIA10					50064
#define IDM_D1MEDIA11					50065
#define IDM_D1MEDIA12					50066
#define IDM_D1MEDIA13					50067
#define IDM_D1MEDIA14					50068
#define IDM_D1MEDIA15					50069

/* hCu0j[ */
#define IDM_D0OPEN						50070
//		IDM_DBOPEN						50071
#define IDM_D0EJECT						50072
//		IDM_D0TEMP						50073
#define IDM_D0WRITE						50074
#define IDM_D0FORCE						50075
#define IDM_D0MEDIA00					50076
#define IDM_D0MEDIA01					50077
#define IDM_D0MEDIA02					50078
#define IDM_D0MEDIA03					50079
#define IDM_D0MEDIA04					50080
#define IDM_D0MEDIA05					50081
#define IDM_D0MEDIA06					50082
#define IDM_D0MEDIA07					50083
#define IDM_D0MEDIA08					50084
#define IDM_D0MEDIA09					50085
#define IDM_D0MEDIA10					50086
#define IDM_D0MEDIA11					50087
#define IDM_D0MEDIA12					50088
#define IDM_D0MEDIA13					50089
#define IDM_D0MEDIA14					50090
#define IDM_D0MEDIA15					50091

#define IDM_D3_FILE0					50230
#define IDM_D3_FILE1					50231
#define IDM_D3_FILE2					50232
#define IDM_D3_FILE3					50233
#define IDM_D3_FILE4					50234
#define IDM_D3_FILE5					50235
#define IDM_D3_FILE6					50236
#define IDM_D3_FILE7					50237
#define IDM_D3_FILE8					50238
#define IDM_D3_FILE9					50239

#define IDM_D2_FILE0					50240
#define IDM_D2_FILE1					50241
#define IDM_D2_FILE2					50242
#define IDM_D2_FILE3					50243
#define IDM_D2_FILE4					50244
#define IDM_D2_FILE5					50245
#define IDM_D2_FILE6					50246
#define IDM_D2_FILE7					50247
#define IDM_D2_FILE8					50248
#define IDM_D2_FILE9					50249

#define IDM_D1_FILE0					50250
#define IDM_D1_FILE1					50251
#define IDM_D1_FILE2					50252
#define IDM_D1_FILE3					50253
#define IDM_D1_FILE4					50254
#define IDM_D1_FILE5					50255
#define IDM_D1_FILE6					50256
#define IDM_D1_FILE7					50257
#define IDM_D1_FILE8					50258
#define IDM_D1_FILE9					50259

#define IDM_D0_FILE0					50260
#define IDM_D0_FILE1					50261
#define IDM_D0_FILE2					50262
#define IDM_D0_FILE3					50263
#define IDM_D0_FILE4					50264
#define IDM_D0_FILE5					50265
#define IDM_D0_FILE6					50266
#define IDM_D0_FILE7					50267
#define IDM_D0_FILE8					50268
#define IDM_D0_FILE9					50269

#define IDM_DBREPLACE					50352
#define IDM_DB23REPLACE					50353
#define IDM_MFD_EJECT					50202

/* 1MBtbs[fBXNhCu3j[ */
#define IDM_D7OPEN						50092
#define IDM_DB67OPEN					50093
#define IDM_D7EJECT						50094
//		IDM_D7TEMP						50095
#define IDM_D7WRITE						50096
#define IDM_D7FORCE						50097
#define IDM_D7MEDIA00					50098
#define IDM_D7MEDIA01					50099
#define IDM_D7MEDIA02					50100
#define IDM_D7MEDIA03					50101
#define IDM_D7MEDIA04					50102
#define IDM_D7MEDIA05					50103
#define IDM_D7MEDIA06					50104
#define IDM_D7MEDIA07					50105
#define IDM_D7MEDIA08					50106
#define IDM_D7MEDIA09					50107
#define IDM_D7MEDIA10					50108
#define IDM_D7MEDIA11					50109
#define IDM_D7MEDIA12					50110
#define IDM_D7MEDIA13					50111
#define IDM_D7MEDIA14					50112
#define IDM_D7MEDIA15					50113

/* 1MBtbs[fBXNhCu2j[ */
#define IDM_D6OPEN						50114
//		IDM_DB67OPEN					50115
#define IDM_D6EJECT						50116
//		IDM_D6TEMP						50117
#define IDM_D6WRITE						50118
#define IDM_D6FORCE						50119
#define IDM_D6MEDIA00					50120
#define IDM_D6MEDIA01					50121
#define IDM_D6MEDIA02					50122
#define IDM_D6MEDIA03					50123
#define IDM_D6MEDIA04					50124
#define IDM_D6MEDIA05					50125
#define IDM_D6MEDIA06					50126
#define IDM_D6MEDIA07					50127
#define IDM_D6MEDIA08					50128
#define IDM_D6MEDIA09					50129
#define IDM_D6MEDIA10					50130
#define IDM_D6MEDIA11					50131
#define IDM_D6MEDIA12					50132
#define IDM_D6MEDIA13					50133
#define IDM_D6MEDIA14					50134
#define IDM_D6MEDIA15					50135

/* 1MBtbs[fBXNhCu1j[ */
#define IDM_D5OPEN						50136
#define IDM_DB45OPEN					50137
#define IDM_D5EJECT						50138
//		IDM_D5TEMP						50139
#define IDM_D5WRITE						50140
#define IDM_D5FORCE						50141
#define IDM_D5MEDIA00					50142
#define IDM_D5MEDIA01					50143
#define IDM_D5MEDIA02					50144
#define IDM_D5MEDIA03					50145
#define IDM_D5MEDIA04					50146
#define IDM_D5MEDIA05					50147
#define IDM_D5MEDIA06					50148
#define IDM_D5MEDIA07					50149
#define IDM_D5MEDIA08					50150
#define IDM_D5MEDIA09					50151
#define IDM_D5MEDIA10					50152
#define IDM_D5MEDIA11					50153
#define IDM_D5MEDIA12					50154
#define IDM_D5MEDIA13					50155
#define IDM_D5MEDIA14					50156
#define IDM_D5MEDIA15					50157

/* 1MBtbs[fBXNhCu0j[ */
#define IDM_D4OPEN						50158
//		IDM_DB45OPEN					50159
#define IDM_D4EJECT						50160
//		IDM_D4TEMP						50161
#define IDM_D4WRITE						50162
#define IDM_D4FORCE						50163
#define IDM_D4MEDIA00					50164
#define IDM_D4MEDIA01					50165
#define IDM_D4MEDIA02					50166
#define IDM_D4MEDIA03					50167
#define IDM_D4MEDIA04					50168
#define IDM_D4MEDIA05					50169
#define IDM_D4MEDIA06					50170
#define IDM_D4MEDIA07					50171
#define IDM_D4MEDIA08					50172
#define IDM_D4MEDIA09					50173
#define IDM_D4MEDIA10					50174
#define IDM_D4MEDIA11					50175
#define IDM_D4MEDIA12					50176
#define IDM_D4MEDIA13					50177
#define IDM_D4MEDIA14					50178
#define IDM_D4MEDIA15					50179

#define IDM_D7_FILE0					50270
#define IDM_D7_FILE1					50271
#define IDM_D7_FILE2					50272
#define IDM_D7_FILE3					50273
#define IDM_D7_FILE4					50274
#define IDM_D7_FILE5					50275
#define IDM_D7_FILE6					50276
#define IDM_D7_FILE7					50277
#define IDM_D7_FILE8					50278
#define IDM_D7_FILE9					50279

#define IDM_D6_FILE0					50280
#define IDM_D6_FILE1					50281
#define IDM_D6_FILE2					50282
#define IDM_D6_FILE3					50283
#define IDM_D6_FILE4					50284
#define IDM_D6_FILE5					50285
#define IDM_D6_FILE6					50286
#define IDM_D6_FILE7					50287
#define IDM_D6_FILE8					50288
#define IDM_D6_FILE9					50289

#define IDM_D5_FILE0					50290
#define IDM_D5_FILE1					50291
#define IDM_D5_FILE2					50292
#define IDM_D5_FILE3					50293
#define IDM_D5_FILE4					50294
#define IDM_D5_FILE5					50295
#define IDM_D5_FILE6					50296
#define IDM_D5_FILE7					50297
#define IDM_D5_FILE8					50298
#define IDM_D5_FILE9					50299

#define IDM_D4_FILE0					50300
#define IDM_D4_FILE1					50301
#define IDM_D4_FILE2					50302
#define IDM_D4_FILE3					50303
#define IDM_D4_FILE4					50304
#define IDM_D4_FILE5					50305
#define IDM_D4_FILE6					50306
#define IDM_D4_FILE7					50307
#define IDM_D4_FILE8					50308
#define IDM_D4_FILE9					50309

#define IDM_DB45REPLACE					50354
#define IDM_DB67REPLACE					50355
#define IDM_SFD_EJECT					50203

/* e[vj[ */
#define IDM_TOPEN						40062
#define IDM_TEJECT						40063
#define IDM_REW							40064
#define IDM_FF							40065
#define IDM_REC							40066
//		IDM_REWTOP						40191
#define IDM_TMEDIA						50205

#define IDM_T_FILE0						50220
#define IDM_T_FILE1						50221
#define IDM_T_FILE2						50222
#define IDM_T_FILE3						50223
#define IDM_T_FILE4						50224
#define IDM_T_FILE5						50225
#define IDM_T_FILE6						50226
#define IDM_T_FILE7						50227
#define IDM_T_FILE8						50228
#define IDM_T_FILE9						50229

/* 128KBouz_jbg1j[ */
#define IDM_B3OPEN						50400
#define IDM_BB23OPEN					50401
#define IDM_B3EJECT						50402
//		IDM_B3TEMP						50403
#define IDM_B3WRITE						50404
#define IDM_B3MEDIA00					50405
#define IDM_B3MEDIA01					50406
#define IDM_B3MEDIA02					50407
#define IDM_B3MEDIA03					50408
#define IDM_B3MEDIA04					50409
#define IDM_B3MEDIA05					50410
#define IDM_B3MEDIA06					50411
#define IDM_B3MEDIA07					50412
#define IDM_B3MEDIA08					50413
#define IDM_B3MEDIA09					50414
#define IDM_B3MEDIA10					50415
#define IDM_B3MEDIA11					50416
#define IDM_B3MEDIA12					50417
#define IDM_B3MEDIA13					50418
#define IDM_B3MEDIA14					50419
#define IDM_B3MEDIA15					50420

/* 128KBouz_jbg0j[ */
#define IDM_B2OPEN						50421
//		IDM_BBOPEN						50422
#define IDM_B2EJECT						50423
//		IDM_B2TEMP						50424
#define IDM_B2WRITE						50425
#define IDM_B2MEDIA00					50426
#define IDM_B2MEDIA01					50427
#define IDM_B2MEDIA02					50428
#define IDM_B2MEDIA03					50429
#define IDM_B2MEDIA04					50430
#define IDM_B2MEDIA05					50431
#define IDM_B2MEDIA06					50432
#define IDM_B2MEDIA07					50433
#define IDM_B2MEDIA08					50434
#define IDM_B2MEDIA09					50435
#define IDM_B2MEDIA10					50436
#define IDM_B2MEDIA11					50437
#define IDM_B2MEDIA12					50438
#define IDM_B2MEDIA13					50439
#define IDM_B2MEDIA14					50440
#define IDM_B2MEDIA15					50441

/* 32KBouz_jbg1j[ */
#define IDM_B1OPEN						50442
#define IDM_BBOPEN						50443
#define IDM_B1EJECT						50444
//		IDM_B1TEMP						50445
#define IDM_B1WRITE						50446
#define IDM_B1MEDIA00					50447
#define IDM_B1MEDIA01					50448
#define IDM_B1MEDIA02					50449
#define IDM_B1MEDIA03					50450
#define IDM_B1MEDIA04					50451
#define IDM_B1MEDIA05					50452
#define IDM_B1MEDIA06					50453
#define IDM_B1MEDIA07					50454
#define IDM_B1MEDIA08					50455
#define IDM_B1MEDIA09					50456
#define IDM_B1MEDIA10					50457
#define IDM_B1MEDIA11					50458
#define IDM_B1MEDIA12					50459
#define IDM_B1MEDIA13					50460
#define IDM_B1MEDIA14					50461
#define IDM_B1MEDIA15					50462

/* 32KBouz_jbg0j[ */
#define IDM_B0OPEN						50463
//		IDM_BBOPEN						50464
#define IDM_B0EJECT						50465
//		IDM_B0TEMP						50466
#define IDM_B0WRITE						50467
#define IDM_B0MEDIA00					50468
#define IDM_B0MEDIA01					50469
#define IDM_B0MEDIA02					50470
#define IDM_B0MEDIA03					50471
#define IDM_B0MEDIA04					50472
#define IDM_B0MEDIA05					50473
#define IDM_B0MEDIA06					50474
#define IDM_B0MEDIA07					50475
#define IDM_B0MEDIA08					50476
#define IDM_B0MEDIA09					50477
#define IDM_B0MEDIA10					50478
#define IDM_B0MEDIA11					50479
#define IDM_B0MEDIA12					50480
#define IDM_B0MEDIA13					50481
#define IDM_B0MEDIA14					50482
#define IDM_B0MEDIA15					50483

#define IDM_B3_FILE0					50310
#define IDM_B3_FILE1					50311
#define IDM_B3_FILE2					50312
#define IDM_B3_FILE3					50313
#define IDM_B3_FILE4					50314
#define IDM_B3_FILE5					50315
#define IDM_B3_FILE6					50316
#define IDM_B3_FILE7					50317
#define IDM_B3_FILE8					50318
#define IDM_B3_FILE9					50319

#define IDM_B2_FILE0					50320
#define IDM_B2_FILE1					50321
#define IDM_B2_FILE2					50322
#define IDM_B2_FILE3					50323
#define IDM_B2_FILE4					50324
#define IDM_B2_FILE5					50325
#define IDM_B2_FILE6					50326
#define IDM_B2_FILE7					50327
#define IDM_B2_FILE8					50328
#define IDM_B2_FILE9					50329

#define IDM_B1_FILE0					50330
#define IDM_B1_FILE1					50331
#define IDM_B1_FILE2					50332
#define IDM_B1_FILE3					50333
#define IDM_B1_FILE4					50334
#define IDM_B1_FILE5					50335
#define IDM_B1_FILE6					50336
#define IDM_B1_FILE7					50337
#define IDM_B1_FILE8					50338
#define IDM_B1_FILE9					50339

#define IDM_B0_FILE0					50340
#define IDM_B0_FILE1					50341
#define IDM_B0_FILE2					50342
#define IDM_B0_FILE3					50343
#define IDM_B0_FILE4					50344
#define IDM_B0_FILE5					50345
#define IDM_B0_FILE6					50346
#define IDM_B0_FILE7					50347
#define IDM_B0_FILE8					50348
#define IDM_B0_FILE9					50349

#define IDM_BBREPLACE					50356
#define IDM_BB23REPLACE					50357
#define IDM_CAS_EJECT					50204

/* \j[ */
#define IDM_FDC							40108
#define IDM_BMC							40109
#define IDM_OPNREG						40110
#define IDM_OPNDISP						40111
#define IDM_SUBCTRL						40112
#define IDM_KEYBOARD					40113
#define IDM_MMR							40114
#define IDM_DMAC						40115
#define IDM_ALULINE						40116
#define IDM_CYCLESTEAL					40117
#define IDM_STATUS						40118
#define IDM_REFRESH						40119
#define IDM_SYNC						40120
#define IDM_FULLSCREEN					40121
#define IDM_PALETTE						40122
#define IDM_KANJI						50358
#define IDM_TAPELP						50359
#define IDM_DISPLAYSIZEx100				50360
#define IDM_DISPLAYSIZEx150				50361
#define IDM_DISPLAYSIZEx200				50362
#define IDM_DISPLAYSIZEx050				50363
#define IDM_DISPLAYSIZEx180				50364
#define IDM_DISPLAYSIZEx120				50365
#define IDM_DISPLAYSIZEx300				50366
#define IDM_DISPLAYSIZEx400				50367
#define IDM_ASPECTRATIO					50368

/* fobOj[ */
#define IDM_EXEC 						40123
#define IDM_BREAK						40124
#define IDM_TRACE						40125
#define IDM_BREAKPOINT					40126
#define IDM_SCHEDULER					40127
#define IDM_CPU_MAIN					40128
#define IDM_CPU_SUB						40129
#define IDM_CPU_JSUB					40130
#define IDM_CPU_MAINZ80					40131
#define IDM_DISASM_MAIN					40132
#define IDM_DISASM_SUB					40133
#define IDM_DISASM_JSUB					40134
#define IDM_DISASM_MAINZ80				40135
#define IDM_MEMORY_MAIN					40136
#define IDM_MEMORY_SUB					40137
#define IDM_MEMORY_JSUB					40138
#define IDM_IRQ_MAIN					50200
#define IDM_IRQ_SUB						50206
#define IDM_LOG							50369

/* c[j[ */
#define IDM_CONFIG						40140
#define IDM_MOUSEMODE					40141
#define IDM_MOUSEMODE2					40142
#define IDM_TIMEADJUST					40143
#define IDM_GRPCAP						40144
#define IDM_GRPCAP2						40145
#define IDM_WAVCAP						40146
#define IDM_NEWDISK						40147
#define IDM_NEWTAPE						40148
#define IDM_NEWBUBBLE					40149
#define IDM_VFD2D77						40150
#define IDM_2D2D77						40151
#define IDM_VTP2T77						40152
#define IDM_BBL2B77						40153
#define IDM_MOUSEON						40154
#define IDM_MOUSEOFF					40155
#define IDM_PASTE						40156
#define IDM_KEYSTROKE					40157
#define IDM_EXTSND0						50370
#define IDM_EXTSND1						50371
#define IDM_EXTSND2						50372
#define IDM_EXTSND3						50373
#define IDM_EXTSND4						50374
#define IDM_EXTSND5						50375
#define IDM_EXTSND6						50376
#define IDM_EXTSND7						50377
#define IDM_EXTSND8						50378
#define IDM_EXTSND9						50379
#define IDM_EXTFLT0						50380
#define IDM_EXTFLT1						50381
#define IDM_EXTFLT2						50382
#define IDM_EXTFLT3						50383
#define IDM_EXTFLT4						50384
#define IDM_EXTFLT5						50385
#define IDM_EXTFLT6						50386
#define IDM_EXTFLT7						50387
#define IDM_EXTFLT8						50388
#define IDM_EXTFLT9						50389
#define	IDM_EXT_SOUND_DLL				50391
#define	IDM_EXT_FILTER_DLL				50392

/* EBhEj[ */
#define IDM_CASCADE						40160
#define IDM_TILE						40161
#define IDM_ICONIC						40162
#define IDM_ARRANGEICON					40163
#define IDM_ALLHIDE						40164
#define IDM_ALLRESTORE					40165
#define IDM_ALLCLOSE					40166
#define IDM_SWND00						50550
//		\					50551 -	50599
#define IDM_SWND01						40168
#define IDM_SWND02						40169
#define IDM_SWND03						40170
#define IDM_SWND04						40171
#define IDM_SWND05						40172
#define IDM_SWND06						40173
#define IDM_SWND07						40174
#define IDM_SWND08						40175
#define IDM_SWND09						40176
#define IDM_SWND10						40177
#define IDM_SWND11						40178
#define IDM_SWND12						40179
#define IDM_SWND13						40180
#define IDM_SWND14						40181
#define IDM_SWND15						40182
#define IDM_SWND16						40183
#define IDM_SWND17						40184
#define IDM_SWND18						40185
#define IDM_SWND19						40186
//		\					40187 -	40189

/* wvj[ */
#define IDM_ABOUT						40190
#define IDM_LANGUAGE					50201

/* ReLXgj[(tAZu) */
#define IDM_DIS_ADDR					40200
#define IDM_DIS_PC						40201
#define IDM_DIS_X						40202
#define IDM_DIS_Y						40203
#define IDM_DIS_U						40204
#define IDM_DIS_S						40205
#define IDM_DIS_RESET					40206
#define IDM_DIS_NMI						40207
#define IDM_DIS_SWI						40208
#define IDM_DIS_IRQ						40209
#define IDM_DIS_FIRQ					40210
#define IDM_DIS_SWI2					40211
#define IDM_DIS_SWI3					40212
#define IDM_DIS_JUMP					40213
#define IDM_DIS_SYNCPC					40214
#define	IDM_DIS_STACK					40216
//		\					40217 -	40231
#define	IDM_DIS_BREAK					40232
#define	IDM_DIS_LOGIC					50600
#define	IDM_DIS_PADR0					50601
//		\					50602 -	50616
#define	IDM_DIS_SEG00					50617
//		\					50618 -	50680
#define	IDM_DIS_LADR0					50762
//		\					50763 -	50777
#define	IDM_DIS_VECTOR					50794
//		\					50795 -	50809
#define IDM_DIS_PC_Z80					50828
#define IDM_DIS_BC						50829
#define IDM_DIS_DE						50830
#define IDM_DIS_HL						50831
#define IDM_DIS_IX						50832
#define IDM_DIS_IY						50833
#define IDM_DIS_SP						50834
#define IDM_DIS_COPY					50826

/* ReLXgj[(_v) */
#define IDM_DMP_ADDR					40250
#define IDM_DMP_PC						40251
#define IDM_DMP_X						40252
#define IDM_DMP_Y						40253
#define IDM_DMP_U						40254
#define IDM_DMP_S						40255
#define IDM_DMP_RESET					40256
#define IDM_DMP_NMI						40257
#define IDM_DMP_SWI						40258
#define IDM_DMP_IRQ						40259
#define IDM_DMP_FIRQ					40260
#define IDM_DMP_SWI2					40261
#define IDM_DMP_SWI3					40262
#define IDM_DMP_DP						40263
#define IDM_DMP_IO						40264
#define IDM_DMP_BLK128					40265
#define IDM_DMP_BLK256					40266
#define IDM_DMP_ASCII					40267
#define IDM_DMP_KANJI					40268
#define IDM_DMP_SEARCH					40269
#define	IDM_DMP_STACK					40270
//		\(IDM_DMP_STACK)	40271 -	40285
#define	IDM_DMP_LOGIC					50681
#define	IDM_DMP_PADR0					50682
//		\					50683 -	50697
#define	IDM_DMP_SEG00					50698
//		\					50699 -	50761
#define	IDM_DMP_LADR0					50778
//		\					50779 -	50793
#define	IDM_DMP_VECTOR					50810
//		\					50811 -	50825
#define IDM_DMP_PC_Z80					50835
#define IDM_DMP_BC						50836
#define IDM_DMP_DE						50837
#define IDM_DMP_HL						50838
#define IDM_DMP_IX						50839
#define IDM_DMP_IY						50840
#define IDM_DMP_SP						50841
#define IDM_DMP_COPY					50827

/* ReLXgj[(u[N|Cg) */
#define IDM_BREAKP_JUMP					40300
#define IDM_BREAKP_ENABLE 				40301
#define IDM_BREAKP_DISABLE				40302
#define IDM_BREAKP_CLEAR				40303
#define IDM_BREAKP_ALL					40304
#define IDM_BREAKP_SET					40305
#define IDM_BREAKP_ENABLE_ALL			50500
#define IDM_BREAKP_DISABLE_ALL			50501

/* ReLXgj[(CPUWX^) */
#define IDM_REG_CC						40350
#define IDM_REG_A						40351
#define IDM_REG_B						40352
#define IDM_REG_DP						40353
#define IDM_REG_D						40358
#define IDM_REG_X						40354
#define IDM_REG_Y						40355
#define IDM_REG_U						40356
#define IDM_REG_S						40357
#define IDM_REG_PC						40359
#define IDM_REG_AF						40360
#define IDM_REG_BC						40361
#define IDM_REG_DE						40362
#define IDM_REG_HL						40363
#define IDM_REG_IX						40364
#define IDM_REG_IY						40365
#define IDM_REG_SP						40366
#define IDM_REG_PC_Z80					40367

/* ReLXgj[(OPNWX^j[) */
#define IDM_OPNREG_AUTO					50510
#define IDM_OPNREG_PSG					50511
#define IDM_OPNREG_OPN					50512
#define IDM_OPNREG_WHG					50513
#define IDM_OPNREG_THG					50514

/* ReLXgj[(OPNfBXvCj[) */
#define IDM_OPNDISP_UNMUTEALL			50520
#define IDM_OPNDISP_AUTO				50521
#define IDM_OPNDISP_PSG					50522
#define IDM_OPNDISP_OPN					50523
#define IDM_OPNDISP_WHG					50524
#define IDM_OPNDISP_THG					50525

/* ReLXgj[(ouRg[) */
#define IDM_BMC_FLAG					50502

/* L[{[hV[gJbg */
#define	IDM_CHG_SOUNDMODE				40400

/* ReLXgj[(fBXN) */
#define IDM_MEDIATITLE					50503

/* ReLXgj[(qXg) */
#define IDM_HISTORY_DELETE				50504

/* ReLXgj[(AXyNgݒ) */
#define IDM_ASPECTSETTING				50505

/* bZ[WQ */
#define IDS_IDLEMESSAGE 				41000
#define IDS_VMERROR 					41001
#define IDS_DXERROR						41002
#define IDS_RUNCAPTION					41003
#define IDS_STOPCAPTION					41004
#define IDS_BASIC_DBG					51038
#define IDS_EXIT						51037
#define IDS_DISKFILTER					41005
#define IDS_DISKFILTER_SFD				51000
#define IDS_DISKOPEN					41006
#define IDS_DISKBOTH					41007
#define IDS_DISKBOTH23					51001
#define IDS_DISKEJECT					41008
#define IDS_DISKPROTECT					41009
//		IDS_DISK0OPEN					51002
//		IDS_DISK1OPEN					51003
//		IDS_DISK2OPEN					51004
//		IDS_DISK3OPEN					51005
#define IDS_DISK0						51006
#define IDS_DISK1						51007
#define IDS_DISK2						51008
#define IDS_DISK3						51009
#define IDS_DISKFORCE					51010
#define IDS_MFD_EJECT					51011
#define IDS_SFD_EJECT					51012
#define IDS_TAPEFILTER					41011
#define IDS_TAPEOPEN					41012
#define IDS_TAPEEJECT					41013
#define IDS_TAPEREW						41014
#define IDS_TAPEREWTOP					41155
#define IDS_TAPEFF						41015
#define IDS_TAPEREC						41016
#define IDS_NEWTAPEOK					41017
#define IDS_NEWDISKFILTER				41018
#define IDS_NEWDISKOK					41019
#define IDS_TAPE						51020
//		IDS_TAPE0OPEN					51021
#define IDS_BUBBLEFILTER				41020
//		IDS_BUBBLE						51022
//		IDS_BUBBLEX						51023
//		IDS_BUBBLE0OPEN					51024
//		IDS_BUBBLE1OPEN					51025
//		IDS_BUBBLE2OPEN					51026
//		IDS_BUBBLE3OPEN					51027
#define IDS_BUBBLE0						51028
#define IDS_BUBBLE1						51029
#define IDS_BUBBLEX0					51030
#define IDS_BUBBLEX1					51031
//		IDS_BUBBLEBOTH					51032
//		IDS_BUBBLEBOTHX					51033
#define IDS_BUBBLEOPEN					41023
#define IDS_BUBBLEEJECT					41024
#define IDS_BUBBLETEMP					41025
#define IDS_BUBBLEPROTECT				41026
#define IDS_NEWBUBBLEOK					41027
//		IDS_CAS_EJECT					51035
#define IDS_GRPCAPFILTER				41028
#define IDS_SWND_CPUREG_MAIN			41029
#define IDS_SWND_CPUREG_SUB				41030
#define IDS_SWND_SCHEDULER				41031
#define IDS_SWND_DISASM_MAIN			41032
#define IDS_SWND_DISASM_SUB				41033
#define IDS_SWND_MEMORY_MAIN			41034
#define IDS_SWND_MEMORY_SUB				41035
#define IDS_SWND_BMC					41036
#define IDS_STATEFILTER					41037
#define IDS_STATEERROR					41038
#define IDS_STATENOEXIST				51040
#define IDS_STATESAVEERROR				51041
#define IDS_SWND_BREAKPOINT				41039
#define IDS_SWND_FDC					41040
#define IDS_VFDFILTER					41041
#define IDS_2DFILTER					41042
#define IDS_VTPFILTER					41043
#define IDS_CONVERTOK					41044
#define IDS_CONVERTFAIL					41045
#define IDS_SWND_OPNREG					41046
#define IDS_SWND_SUBCTRL				41047
#define IDS_CONFIGCAPTION				41048
#define IDS_GP_MAINCPU					41049
#define IDS_GP_MAINMMR					41050
#define IDS_SWND_OPNDISP				41051
#define IDS_SWND_KEYBOARD				41052
#define IDS_SWND_KEYBOARD8				51042
#define IDS_KP_KEYNO					41053
#define IDS_KP_KEYFM					41054
#define IDS_KP_KEYKANA					41055
#define IDS_KP_KEYDI					41056
//		IDS_DISKTEMP					41057
#define IDS_JP_RAPID0					41058
#define IDS_JP_RAPID1					41059
#define IDS_JP_RAPID2					41060
#define IDS_JP_RAPID3					41061
#define IDS_JP_RAPID4					41062
#define IDS_JP_RAPID5					41063
#define IDS_JP_RAPID6					41064
#define IDS_JP_RAPID7					41065
#define IDS_JP_RAPID8					41066
#define IDS_JP_RAPID9					41067
#define IDS_JP_TYPE0					41068
#define IDS_JP_TYPE1					41069
#define IDS_JP_TYPE2					41070
#define IDS_JP_TYPE3					41071
#define IDS_JP_TYPE4					41072
#define IDS_JP_TYPE5					41073
#define IDS_JP_TYPE6					41074
#define IDS_JP_TYPE7					41075
#define IDS_SWND_MMR					41076
#define IDS_WAVCAPFILTER				41077
#define IDS_WAVCAPERROR					41078
#define IDS_GP_SUBCPU					41079
#define IDS_SP_MONO						41080
#define IDS_SP_STEREO1					41081
#define IDS_SP_STEREO2					41082
#define IDS_SP_STEREO3					41083
#define IDS_SP_STEREO4					41084
#define IDS_DISKVFD						41085
#define IDS_SWND_DMAC					41086
#define IDS_GP_FASTMMR					41087
#define IDS_GP_JSUBCPU					41088
#define IDS_SWND_ALULINE				41089
#define IDS_MEDIA_CHANGE				41090
#define IDS_DISK2DD						41091
#define IDS_SND_MONAURAL				41092
#define IDS_SND_WHG_NORMAL				41093
#define IDS_SND_WHG_REVERSE				41094
#define IDS_SND_THG_NORMAL				41095
#define IDS_SND_THG_REVERSE				41096
#define IDS_MOUSE_DISABLE				41097
#define IDS_MOUSE_ENABLE				41098
#define IDS_MOUSEMODE_ENBF11			41099
#define IDS_MOUSEMODE_DISF11			41199
#define IDS_COMM_OPENERROR				41101
#define IDS_COMM_THREADERROR			41102
#define IDS_MEDIA_NAME					41103
#define IDS_COINITERROR					41104
#define IDS_SWND_CPU_MAIN				41105
#define IDS_SWND_CPU_SUB				41106
//		IDS_SWND_CPU_MAIN_P				41107
#define IDS_SWND_CPU_MAINZ80			41108
#define IDS_SWND_SRCH_FOUND				41109
//		IDS_SWND_SRCH_FOUND_P			41110
#define IDS_SWND_SRCH_NOTFOUND			41111
#define IDS_SWND_CPU_JSUB				41112
#define IDS_SWND_CPUREG_JSUB			41113
#define IDS_SWND_DISASM_JSUB			41114
#define IDS_SWND_MEMORY_JSUB			41115
#define IDS_SWND_BREAKPOINT_NONE		41116
#define IDS_GP_MAINCPU_LOW				41118
#define IDS_GP_SUBCPU_LOW				41119
#define IDS_GP_MAINCPU_Z80				41120
#define IDS_OP_MOUSESW_1				41121
#define IDS_OP_MOUSESW_2				41122
#define IDS_OP_MOUSESW_3				41123
#define IDS_SWND_PSGREG					41124
#define IDS_SWND_PSGDISP				41125
#define IDS_BAR_CAP						41126
#define IDS_BAR_KANA					41127
#define IDS_BAR_INS						41128
#define IDS_ENABLE_CYCLESTEAL			41129
#define IDS_DISABLE_CYCLESTEAL			41130
#define IDS_POP_NONE					IDS_SWND_BREAKPOINT_NONE
#define	IDS_POP_COM300					41131
#define	IDS_POP_COM600					41132
#define	IDS_POP_COM1200					41133
#define	IDS_POP_COM2400					41134
#define	IDS_POP_COM4800					41135
#define	IDS_SCP_400LINE					41136
#define	IDS_SCP_480LINE					41137
#define	IDS_SCP_WUXGA					41138
#define	IDS_SCP_SXGA					41139
#define	IDS_SCP_WXGA					41140
#define IDS_SWND_REG_MESSAGE			41141
#define	IDS_B77FILTER					41143
#define	IDS_BBLFILTER					41144
#define	IDS_BBLFILE						41145
#define IDS_SWND_PALETTE				41146
#define IDS_LPRFILTER					41147
#define IDS_LPRLOGERROR					41148
#define IDS_SWND_CPUREG_Z80				41149
#define IDS_SWND_DISASM_Z80				41150
#define	IDS_PASTE						41156
#define	IDS_KEYSTROKE					41157
#define IDS_ABOUTURL					41200
#define IDS_S98CAPFILTER				42000
#define IDS_S98CAPERROR					42001
#define IDS_SWND_OPNAREG				51119
#define IDS_SWND_IRQ_MAIN				51101
#define IDS_SWND_IRQ_SUB				51111
#define IDS_SWND_KANJI					51118
#define IDS_SWND_TAPELP					51121
#define IDS_SWND_LOG					51114
#define IDS_SWND_LOG_NUMBER				IDS_KP_KEYNO
#define IDS_SWND_LOG_VTIME				51116
#define IDS_SWND_LOG_RTIME				51126
#define IDS_SWND_LOG_PC					51122
#define IDS_SWND_LOG_LEVEL				51142
#define IDS_SWND_LOG_DEVICE				51143
#define IDS_SWND_LOG_MSG				51120
#define IDS_SWND_LOG_DETAIL				51144
#define IDS_SWND_LOG_NORMAL				51145
#define IDS_SWND_LOG_WARNING			51146
#define IDS_SWND_LOG_DEBUG				51147
#define IDS_STP_BBLDRV					51102
#define IDS_STP_BBLFILE					51103
#define IDS_STP_DLGSIZE					51104
#define IDS_SAVECLOSE					51105
#define IDS_SETTITLEOK					51106
#define IDS_LANGUAGE					51107
#define IDS_HISTORY_DELETE				51108
#define IDS_FILE_NOT_FOUND				51109
//		IDS_SCP_RASTER_FILTER			51110
#define IDS_STP_BBLMEDIA				51112
#define	IDS_SCP_USER					51113
#define	IDS_FMGEN_BUILDIN				51115
#define	IDS_NO_FILTER					51117
#define	IDS_LPRDIALOGWRN				51125
#define IDS_LOGFILTER					51139
#define IDS_GP_MAINCPU_6309				51140
#define IDS_GP_MAINCPU_8088				51141
#define IDS_GP_MAINCPU_V30				51142
#define IDS_SP_FMGEN0					51150
#define IDS_SP_FMGEN1					51151
#define IDS_SP_FMGEN2					51152
#define IDS_SP_FMGEN3					51153
#define IDS_SCP_COLOR					51154
#define IDS_SCP_GREEN					51155
#define IDS_SCP_AMBERYELLOW				51156
#define IDS_SCP_FORCETTLCOLOR			51157

#ifdef ENGLISH_SUPPORT
/* t@Cj[(US) */
#define IDM_US_OPEN						45001
#define IDM_US_SAVE						45002
#define IDM_US_SAVEAS					45003
#define IDM_US_RESET					45004
#define IDM_US_HOTRESET					45005
#define IDM_US_TABRESET					45006
#define IDM_US_BASIC					45007
#define IDM_US_DOS 						45008
#define IDM_US_BUBBLE					45009
#define IDM_US_DOS_SFD					55000
#define IDM_US_BASIC_DBG				55001
#define IDM_US_BUBBLE128				55002
#define IDM_US_PRINT					45010
#define IDM_US_QLOAD					55350
#define IDM_US_QSAVE					55351
#define IDM_US_EXIT						45011

/* hCu3j[(US) */
#define IDM_US_D3OPEN					55004
#define IDM_US_DB23OPEN					55005
#define IDM_US_D3EJECT					55006
//		IDM_US_D3TEMP					55007
#define IDM_US_D3WRITE					55008
//		IDM_US_D3FORCE					55009

/* hCu2j[(US) */
#define IDM_US_D2OPEN					55026
//		IDM_US_DB23OPEN					55027
#define IDM_US_D2EJECT					55028
//		IDM_US_D2TEMP					55029
#define IDM_US_D2WRITE					55030
//		IDM_US_D2FORCE					55031

/* hCu1j[(US) */
#define IDM_US_D1OPEN					55048
#define IDM_US_DBOPEN					55049
#define IDM_US_D1EJECT					55050
//		IDM_US_D1TEMP					55051
#define IDM_US_D1WRITE					55052
//		IDM_US_D1FORCE					55053

/* hCu0j[(US) */
#define IDM_US_D0OPEN					55070
//		IDM_US_DBOPEN					55071
#define IDM_US_D0EJECT					55072
//		IDM_US_D0TEMP					55073
#define IDM_US_D0WRITE					55074
#define IDM_US_D0FORCE					55075

#define IDM_US_DBREPLACE				55352
#define IDM_US_DB23REPLACE				55353
#define IDM_US_MFD_EJECT				55202

/* 1MBtbs[fBXNhCu3j[(US) */
#define IDM_US_D7OPEN					55092
#define IDM_US_DB67OPEN					55093
#define IDM_US_D7EJECT					55094
//		IDM_US_D7TEMP					55095
#define IDM_US_D7WRITE					55096
#define IDM_US_D7FORCE					55097

/* 1MBtbs[fBXNhCu2j[(US) */
#define IDM_US_D6OPEN					55114
//		IDM_US_DB67OPEN					55115
#define IDM_US_D6EJECT					55116
//		IDM_US_D6TEMP					55117
#define IDM_US_D6WRITE					55118
#define IDM_US_D6FORCE					55119

/* 1MBtbs[fBXNhCu1j[(US) */
#define IDM_US_D5OPEN					55136
#define IDM_US_DB45OPEN					55137
#define IDM_US_D5EJECT					55138
//		IDM_US_D5TEMP					55139
#define IDM_US_D5WRITE					55140
#define IDM_US_D5FORCE					55141

/* 1MBtbs[fBXNhCu0j[(US) */
#define IDM_US_D4OPEN					55158
//		IDM_US_DB45OPEN					55159
#define IDM_US_D4EJECT					55160
//		IDM_US_D4TEMP					55161
#define IDM_US_D4WRITE					55162
#define IDM_US_D4FORCE					55163

#define IDM_US_DB45REPLACE				55354
#define IDM_US_DB67REPLACE				55355
#define IDM_US_SFD_EJECT				55203

/* e[vj[(US) */
#define IDM_US_TOPEN					45062
#define IDM_US_TEJECT					45063
#define IDM_US_REW						45064
#define IDM_US_FF						45065
#define IDM_US_REC						45066
//		IDM_US_REWTOP					45191
#define IDM_US_TMEDIA					55205

/* 128KBouz_jbg1j[(US) */
#define IDM_US_B3OPEN					55400
#define IDM_US_BB23OPEN					55401
#define IDM_US_B3EJECT					55402
//		IDM_US_B3TEMP					55403
#define IDM_US_B3WRITE					55404

/* 128KBouz_jbg0j[(US) */
#define IDM_US_B2OPEN					55421
//		IDM_US_BBOPEN					55422
#define IDM_US_B2EJECT					55423
//		IDM_US_B2TEMP					55424
#define IDM_US_B2WRITE					55425

/* 32KBouz_jbg1j[(US) */
#define IDM_US_B1OPEN					55442
#define IDM_US_BBOPEN					55443
#define IDM_US_B1EJECT					55444
//		IDM_US_B1TEMP					55445
#define IDM_US_B1WRITE					55446

/* 32KBouz_jbg0j[(US) */
#define IDM_US_B0OPEN					55463
//		IDM_US_BBOPEN					55464
#define IDM_US_B0EJECT					55465
//		IDM_US_B0TEMP					55466
#define IDM_US_B0WRITE					55467

#define IDM_US_BBREPLACE				55356
#define IDM_US_BB23REPLACE				55357
#define IDM_US_CAS_EJECT				55204

/* \j[(US) */
#define IDM_US_FDC						45108
#define IDM_US_BMC						45109
#define IDM_US_OPNREG					45110
#define IDM_US_OPNDISP					45111
#define IDM_US_SUBCTRL					45112
#define IDM_US_KEYBOARD					45113
#define IDM_US_MMR						45114
#define IDM_US_DMAC						45115
#define IDM_US_ALULINE					45116
#define IDM_US_CYCLESTEAL				45117
#define IDM_US_STATUS					45118
#define IDM_US_REFRESH					45119
#define IDM_US_SYNC						45120
#define IDM_US_FULLSCREEN				45121
#define IDM_US_PALETTE					45122
#define IDM_US_KANJI					55358
#define IDM_US_TAPELP					55359
#define IDM_US_DISPLAYSIZEx100			55360
#define IDM_US_DISPLAYSIZEx150			55361
#define IDM_US_DISPLAYSIZEx200			55362
#define IDM_US_DISPLAYSIZEx050			55363
#define IDM_US_DISPLAYSIZEx180			55364
#define IDM_US_DISPLAYSIZEx120			55365
#define IDM_US_DISPLAYSIZEx300			55366
#define IDM_US_DISPLAYSIZEx400			55367
#define IDM_US_ASPECTRATIO				55368

/* fobOj[(US) */
#define IDM_US_EXEC 					45123
#define IDM_US_BREAK					45124
#define IDM_US_TRACE					45125
#define IDM_US_BREAKPOINT				45126
#define IDM_US_SCHEDULER				45127
#define IDM_US_CPU_MAIN					45128
#define IDM_US_CPU_SUB					45129
#define IDM_US_CPU_JSUB					45130
#define IDM_US_CPU_MAINZ80				45131
#define IDM_US_DISASM_MAIN				45132
#define IDM_US_DISASM_SUB				45133
#define IDM_US_DISASM_JSUB				45134
#define IDM_US_DISASM_MAINZ80			45135
#define IDM_US_MEMORY_MAIN				45136
#define IDM_US_MEMORY_SUB				45137
#define IDM_US_MEMORY_JSUB				45138
#define IDM_US_IRQ_MAIN					55200
#define IDM_US_IRQ_SUB					55206
#define IDM_US_LOG						55369

/* c[j[(US) */
#define IDM_US_CONFIG					45140
#define IDM_US_MOUSEMODE				45141
#define IDM_US_MOUSEMODE2				45142
#define IDM_US_TIMEADJUST				45143
#define IDM_US_GRPCAP					45144
#define IDM_US_GRPCAP2					45145
#define IDM_US_WAVCAP					45146
#define IDM_US_NEWDISK					45147
#define IDM_US_NEWTAPE					45148
#define IDM_US_NEWBUBBLE				45149
#define IDM_US_VFD2D77					45150
#define IDM_US_2D2D77					45151
#define IDM_US_VTP2T77					45152
#define IDM_US_BBL2B77					45153
#define IDM_US_MOUSEON					45154
#define IDM_US_MOUSEOFF					45155
#define IDM_US_PASTE					45156
#define IDM_US_KEYSTROKE				45157
#define IDM_US_EXTSND0					55370
#define IDM_US_EXTSND1					55371
#define IDM_US_EXTSND2					55372
#define IDM_US_EXTSND3					55373
#define IDM_US_EXTSND4					55374
#define IDM_US_EXTSND5					55375
#define IDM_US_EXTSND6					55376
#define IDM_US_EXTSND7					55377
#define IDM_US_EXTSND8					55378
#define IDM_US_EXTSND9					55379
#define IDM_US_EXTFLT0					55380
#define IDM_US_EXTFLT1					55381
#define IDM_US_EXTFLT2					55382
#define IDM_US_EXTFLT3					55383
#define IDM_US_EXTFLT4					55384
#define IDM_US_EXTFLT5					55385
#define IDM_US_EXTFLT6					55386
#define IDM_US_EXTFLT7					55387
#define IDM_US_EXTFLT8					55388
#define IDM_US_EXTFLT9					55389
#define IDM_US_EXT_SOUND_DLL			55391
#define IDM_US_EXT_FILTER_DLL			55392

/* EBhEj[(US) */
#define IDM_US_CASCADE					45160
#define IDM_US_TILE						45161
#define IDM_US_ICONIC					45162
#define IDM_US_ARRANGEICON				45163
#define IDM_US_ALLHIDE					45164
#define IDM_US_ALLRESTORE				45165
#define IDM_US_ALLCLOSE					45166

/* wvj[(US) */
#define IDM_US_ABOUT					45190
#define IDM_US_LANGUAGE					55201

/* ReLXgj[(fBXN)(US) */
#define IDM_US_MEDIATITLE				55503

/* ReLXgj[(qXg)(US) */
#define IDM_US_HISTORY_DELETE			55504

/* ReLXgj[(AXyNgݒ)(US) */
#define IDM_US_ASPECTSETTING			55505

/* bZ[WQ(US) */
#define IDS_US_IDLEMESSAGE 				46000
#define IDS_US_VMERROR 					46001
#define IDS_US_DXERROR					46002
#define IDS_US_RUNCAPTION				46003
#define IDS_US_STOPCAPTION				46004
#define IDS_US_EXIT						56037
#define IDS_US_DISKFILTER				46005
#define IDS_US_DISKFILTER_SFD			56000
#define IDS_US_DISKOPEN					46006
#define IDS_US_DISKBOTH					46007
#define IDS_US_DISKBOTH23				56001
#define IDS_US_DISKEJECT				46008
#define IDS_US_DISKPROTECT				46009
//		IDS_US_DISK0OPEN				56002
//		IDS_US_DISK1OPEN				56003
//		IDS_US_DISK2OPEN				56004
//		IDS_US_DISK3OPEN				56005
#define IDS_US_DISK0					56006
#define IDS_US_DISK1					56007
#define IDS_US_DISK2					56008
#define IDS_US_DISK3					56009
#define IDS_US_DISKFORCE				56010
#define IDS_US_MFD_EJECT				56011
#define IDS_US_SFD_EJECT				56012
#define IDS_US_TAPEFILTER				46011
#define IDS_US_TAPEOPEN					46012
#define IDS_US_TAPEEJECT				46013
#define IDS_US_TAPEREW					46014
#define IDS_US_TAPEREWTOP				46155
#define IDS_US_TAPEFF					46015
#define IDS_US_TAPEREC					46016
#define IDS_US_NEWTAPEOK				46017
#define IDS_US_NEWDISKFILTER			46018
#define IDS_US_NEWDISKOK				46019
#define IDS_US_TAPE						56020
//		IDS_US_TAPE0OPEN				56021
#define IDS_US_BUBBLEFILTER				46020
//		IDS_US_BUBBLE					56022
//		IDS_US_BUBBLEX					56023
//		IDS_US_BUBBLE0OPEN				56024
//		IDS_US_BUBBLE1OPEN				56025
//		IDS_US_BUBBLE2OPEN				56026
//		IDS_US_BUBBLE3OPEN				56027
#define IDS_US_BUBBLE0					56028
#define IDS_US_BUBBLE1					56029
#define IDS_US_BUBBLEX0					56030
#define IDS_US_BUBBLEX1					56031
//		IDS_US_BUBBLEBOTH				56032
//		IDS_US_BUBBLEBOTHX				56033
#define IDS_US_BUBBLEOPEN				46023
#define IDS_US_BUBBLEEJECT				46024
#define IDS_US_BUBBLETEMP				46025
#define IDS_US_BUBBLEPROTECT			46026
#define IDS_US_NEWBUBBLEOK				46027
//		IDS_US_CAS_EJECT				56035
#define IDS_US_GRPCAPFILTER				46028
#define IDS_US_SWND_CPUREG_MAIN			46029
#define IDS_US_SWND_CPUREG_SUB			46030
#define IDS_US_SWND_SCHEDULER			46031
#define IDS_US_SWND_DISASM_MAIN			46032
#define IDS_US_SWND_DISASM_SUB			46033
#define IDS_US_SWND_MEMORY_MAIN			46034
#define IDS_US_SWND_MEMORY_SUB			46035
#define IDS_US_SWND_BMC					46036
#define IDS_US_STATEFILTER				46037
#define IDS_US_STATEERROR				46038
#define IDS_US_STATENOEXIST				56040
#define IDS_US_STATESAVEERROR			56041
#define IDS_US_SWND_BREAKPOINT			46039
#define IDS_US_SWND_FDC					46040
#define IDS_US_VFDFILTER				46041
#define IDS_US_2DFILTER					46042
#define IDS_US_VTPFILTER				46043
#define IDS_US_CONVERTOK				46044
#define IDS_US_CONVERTFAIL				46045
#define IDS_US_SWND_OPNREG				46046
#define IDS_US_SWND_SUBCTRL				46047
#define IDS_US_CONFIGCAPTION			46048
#define IDS_US_GP_MAINCPU				46049
#define IDS_US_GP_MAINMMR				46050
#define IDS_US_SWND_OPNDISP				46051
#define IDS_US_SWND_KEYBOARD			46052
#define IDS_US_SWND_KEYBOARD8			56042
#define IDS_US_KP_KEYNO					46053
#define IDS_US_KP_KEYFM					46054
#define IDS_US_KP_KEYKANA				46055
#define IDS_US_KP_KEYDI					46056
//		IDS_US_DISKTEMP					46057
#define IDS_US_JP_RAPID0				46058
#define IDS_US_JP_RAPID1				46059
#define IDS_US_JP_RAPID2				46060
#define IDS_US_JP_RAPID3				46061
#define IDS_US_JP_RAPID4				46062
#define IDS_US_JP_RAPID5				46063
#define IDS_US_JP_RAPID6				46064
#define IDS_US_JP_RAPID7				46065
#define IDS_US_JP_RAPID8				46066
#define IDS_US_JP_RAPID9				46067
#define IDS_US_JP_TYPE0					46068
#define IDS_US_JP_TYPE1					46069
#define IDS_US_JP_TYPE2					46070
#define IDS_US_JP_TYPE3					46071
#define IDS_US_JP_TYPE4					46072
#define IDS_US_JP_TYPE5					46073
#define IDS_US_JP_TYPE6					46074
#define IDS_US_JP_TYPE7					46075
#define IDS_US_SWND_MMR					46076
#define IDS_US_WAVCAPFILTER				46077
#define IDS_US_WAVCAPERROR				46078
#define IDS_US_GP_SUBCPU				46079
#define IDS_US_SP_MONO					46080
#define IDS_US_SP_STEREO1				46081
#define IDS_US_SP_STEREO2				46082
#define IDS_US_SP_STEREO3				46083
#define IDS_US_SP_STEREO4				46084
#define IDS_US_DISKVFD					46085
#define IDS_US_SWND_DMAC				46086
#define IDS_US_GP_FASTMMR				46087
#define IDS_US_GP_JSUBCPU				46088
#define IDS_US_SWND_ALULINE				46089
#define IDS_US_MEDIA_CHANGE				46090
#define IDS_US_SND_MONAURAL				46092
#define IDS_US_SND_WHG_NORMAL			46093
#define IDS_US_SND_WHG_REVERSE			46094
#define IDS_US_SND_THG_NORMAL			46095
#define IDS_US_SND_THG_REVERSE			46096
#define IDS_US_MOUSE_DISABLE			46097
#define IDS_US_MOUSE_ENABLE				46098
#define IDS_US_MOUSEMODE_ENBF11			46099
#define IDS_US_MOUSEMODE_DISF11			46199
#define IDS_US_COMM_OPENERROR			46101
#define IDS_US_COMM_THREADERROR			46102
#define IDS_US_MEDIA_NAME				46103
#define IDS_US_COINITERROR				46104
#define IDS_US_SWND_CPU_MAIN			46105
#define IDS_US_SWND_CPU_SUB				46106
//		IDS_US_SWND_CPU_MAIN_P			46107
#define IDS_US_SWND_CPU_MAINZ80			46108
#define IDS_US_SWND_SRCH_FOUND			46109
//		IDS_US_SWND_SRCH_FOUND_P		46110
#define IDS_US_SWND_SRCH_NOTFOUND		46111
#define IDS_US_SWND_CPU_JSUB			46112
#define IDS_US_SWND_CPUREG_JSUB			46113
#define IDS_US_SWND_DISASM_JSUB			46114
#define IDS_US_SWND_MEMORY_JSUB			46115
#define IDS_US_SWND_BREAKPOINT_NONE		46116
#define IDS_US_GP_MAINCPU_LOW			46118
#define IDS_US_GP_SUBCPU_LOW			46119
#define IDS_US_GP_MAINCPU_Z80			46120
#define IDS_US_OP_MOUSESW_1				46121
#define IDS_US_OP_MOUSESW_2				46122
#define IDS_US_OP_MOUSESW_3				46123
#define IDS_US_SWND_PSGREG				46124
#define IDS_US_SWND_PSGDISP				46125
#define IDS_US_BAR_CAP					46126
#define IDS_US_BAR_KANA					46127
#define IDS_US_BAR_INS					46128
#define IDS_US_ENABLE_CYCLESTEAL		46129
#define IDS_US_DISABLE_CYCLESTEAL		46130
#define IDS_US_POP_NONE					IDS_US_SWND_BREAKPOINT_NONE
#define IDS_US_POP_COM300				46131
#define IDS_US_POP_COM600				46132
#define IDS_US_POP_COM1200				46133
#define IDS_US_POP_COM2400				46134
#define IDS_US_POP_COM4800				46135
#define IDS_US_SCP_400LINE				46136
#define IDS_US_SCP_480LINE				46137
#define IDS_US_SCP_WUXGA				46138
#define IDS_US_SCP_SXGA					46139
#define IDS_US_SCP_WXGA					46140
#define IDS_US_SWND_REG_MESSAGE			46141
#define IDS_US_B77FILTER				46143
#define IDS_US_BBLFILTER				46144
#define IDS_US_BBLFILE					46145
#define IDS_US_SWND_PALETTE				46146
#define IDS_US_LPRFILTER				46147
#define IDS_US_LPRLOGERROR				46148
#define IDS_US_SWND_CPUREG_Z80			46149
#define IDS_US_SWND_DISASM_Z80			46150
#define IDS_US_PASTE					46156
#define IDS_US_KEYSTROKE				46157
#define IDS_US_S98CAPFILTER				47000
#define IDS_US_S98CAPERROR				47001
#define IDS_US_SWND_OPNAREG				56119
#define IDS_US_SWND_IRQ_MAIN			56101
#define IDS_US_SWND_IRQ_SUB				56111
#define IDS_US_SWND_KANJI				56118
#define IDS_US_SWND_TAPELP				56121
#define IDS_US_SWND_LOG					56114
#define IDS_US_SWND_LOG_NUMBER			IDS_US_KP_KEYNO
#define IDS_US_SWND_LOG_VTIME			56116
#define IDS_US_SWND_LOG_RTIME			56126
#define IDS_US_SWND_LOG_PC				56122
#define IDS_US_SWND_LOG_LEVEL			56142
#define IDS_US_SWND_LOG_DEVICE			56143
#define IDS_US_SWND_LOG_MSG				56120
#define IDS_US_SWND_LOG_DETAIL			56144
#define IDS_US_SWND_LOG_NORMAL			56145
#define IDS_US_SWND_LOG_WARNING			56146
#define IDS_US_SWND_LOG_DEBUG			56147
#define IDS_US_STP_BBLDRV				56102
#define IDS_US_STP_BBLFILE				56103
#define IDS_US_STP_DLGSIZE				56104
#define IDS_US_SAVECLOSE				56105
#define IDS_US_SETTITLEOK				56106
//		IDS_US_LANGUAGE					56107
#define IDS_US_HISTORY_DELETE			56108
#define IDS_US_FILE_NOT_FOUND			56109
//		IDS_US_SCP_RASTER_FILTER		56110
#define IDS_US_STP_BBLMEDIA				56112
#define IDS_US_SCP_USER					56113
#define IDS_US_FMGEN_BUILDIN			56115
#define IDS_US_NO_FILTER				56117
#define IDS_US_LPRDIALOGWRN				56125
#define IDS_US_LOGFILTER				56139
#define IDS_US_GP_MAINCPU_6309			56140
#define IDS_US_GP_MAINCPU_8088			56141
#define IDS_US_GP_MAINCPU_V30			56142
#define IDS_US_SP_FMGEN0				56150
#define IDS_US_SP_FMGEN1				56151
#define IDS_US_SP_FMGEN2				56152
#define IDS_US_SP_FMGEN3				56153
#define IDS_US_SCP_COLOR				56154
#define IDS_US_SCP_GREEN				56155
#define IDS_US_SCP_AMBERYELLOW			56156
#define IDS_US_SCP_FORCETTLCOLOR		56157
#endif

#endif	/* _w32_res_h_ */

#endif	/* _WIN32 */
