/*
 *	FM-7 EMULATOR "XM7"
 *
 *	Copyright (C) 1999-2025 ohD(Twitter:@xm6_original)
 *	Copyright (C) 2001-2025 Ryu Takegami (Twitter:@RyuTakegami)
 *	Copyright (C) 2010-2025 GIMONS
 *	Copyright (C) 2010-2025 Toma
 *
 *	[ CxgID ]
 */

#ifndef _event_h_
#define _event_h_

/*
 *	Cxg`
 */
#define EVENT_MAINTIMER			0		/* CCPU 2.03ms^C} */
#define EVENT_SUBTIMER			1		/* TuCPU 20ms^C} */
#define EVENT_OPN_A				2		/* OPN ^C}A */
#define EVENT_OPN_B				3		/* OPN ^C}B */
#define EVENT_KEYBOARD			4		/* L[{[h s[g^C} */
#define EVENT_BEEP				5		/* BEEP P^C} */
#define EVENT_VSYNC				6		/* VSYNC */
#define EVENT_BLANK				7		/* BLANK */
#define EVENT_LINE				8		/* LSI(V2/V3) */
#define	EVENT_TEXT_BLINK		8		/* eLXguLO(V1) */
#define EVENT_RTC				9		/* v 1sec(V2/V3) */
#define EVENT_WHG_A				10		/* WHG ^C}A */
#define EVENT_WHG_B				11		/* WHG ^C}B */
#define EVENT_THG_A				12		/* THG ^C}A */
#define EVENT_THG_B				13		/* THG ^C}B */
#define EVENT_FDC_M				14		/* FDC }`ZN^ */
#define EVENT_FDC_L				15		/* FDC Xgf[^ */
#define	EVENT_FDD_SEEK			16		/* FDD V[NEFCg */
#define	EVENT_TAPEMON			17		/* e[vTvO^C} */
#define	EVENT_MOUSE				18		/* }EXf[^Xg */
#define	EVENT_FDC_DMA			19		/* FDC DMA]Jn(V3) */
#define	EVENT_KEYENC_ACK		20		/* L[GR[_ ACKM(V2/V3) */
#define	EVENT_RS_TXTIMING		21		/* RS-232C M^C~O */
#define	EVENT_RS_RXTIMING		22		/* RS-232C M^C~O */
#define	EVENT_KEYENC_BEEP		23		/* L[GR[_BEEP P^C}(V2/V3) */
#define	EVENT_KEYENC_MESSAGE	24		/* L[GR[_ BbZ[W(V2/V3) */
#define	EVENT_PTM_TIMER			25		/* PTM^C} */
#define	EVENT_FDC_NMI			20		/* SFDC NMI(V1) */
#define EVENT_SFDC_M			23		/* SFDC }`ZN^ */
#define EVENT_SFDC_L			24		/* SFDC Xgf[^ */
#define	EVENT_SFDD_SEEK			9		/* SFDD V[NEFCg */
#define EVENT_BMC_L				26		/* BMC 32KB Xgf[^(V1) */
#define EVENT_BMC_M				27		/* BMC 32KB }`y[W(V1) */
#define	EVENT_FDD_MOTOR			28		/* FDD [^[]Cxg */
#define	EVENT_SFDD_MOTOR		29		/* SFDD [^[]Cxg */
#define EVENT_BMC128_L			30		/* BMC 128KB Xgf[^(V1) */
#define EVENT_BMC128_M			31		/* BMC 128KB }`y[W(V1) */
#endif	/* _event_h_ */
