/*
 *	FM-7 EMULATOR "XM7"
 *
 *	Copyright (C) 1999-2025 ohD(Twitter:@xm6_original)
 *	Copyright (C) 2001-2025 Ryu Takegami (Twitter:@RyuTakegami)
 *	Copyright (C) 2010-2025 GIMONS
 *	Copyright (C) 2010-2025 Toma
 *
 *	[ TuCPURg[ ]
 */

#ifndef _subctrl_h_
#define _subctrl_h_

#ifdef __cplusplus
extern "C" {
#endif
/*
 *	vGg
 */
BOOL FASTCALL subctrl_init(void);
										/*  */
void FASTCALL subctrl_cleanup(void);
										/* N[Abv */
void FASTCALL subctrl_reset(void);
										/* Zbg */
void FASTCALL subctrl_halt_ack(void);
										/* HALT/CANCELANmbW */
BOOL FASTCALL subctrl_readb(WORD addr, BYTE *dat);
										/* ǂݏo */
BOOL FASTCALL subctrl_writeb(WORD addr, BYTE dat);
										/*  */
BOOL FASTCALL subctrl_save(int fileh);
										/* Z[u */
BOOL FASTCALL subctrl_load(int fileh, int ver);
										/* [h */

/*
 *	v[N
 */
extern BOOL subhalt_flag;
										/* TuHALTtO */
extern BOOL subbusy_flag;
										/* TuBUSYtO */
extern BOOL subcancel_flag;
										/* TuLZtO */
extern BOOL subattn_flag;
										/* TuAeVtO */
extern BOOL subhalt_request;
										/* TuHALTNGXgtO */
extern BOOL subcancel_request;
										/* TuLZNGXgtO */
extern BYTE shared_ram[0x80];
										/* LRAM */
extern BOOL subreset_flag;
										/* TuċNtO */
extern BYTE busy_CLR_count;
										/* BUSY($D40A) CLRߎsJE^ */
extern BOOL mode320;
										/* 320x200[h */
#if XM7_VER >= 3
extern BOOL mode400l;
										/* 640x400[h */
extern BOOL mode256k;
										/* 26F[h */
extern BOOL subram_protect;
										/* Tuj^RAMveNg */
extern BOOL subreset_halt;
										/* HALTċNtO */
extern BOOL subkanji_flag;
										/* ROM TuCPUڑtO */
#endif
#if XM7_VER == 1
extern BOOL parityerror;
										/* peBG[tO(FM-8) */
#ifdef L4CARD
extern BOOL select_400line;
										/* 400CJ[h[h */
extern BOOL subkanji_flag;
										/* ROM TuCPUڑtO */
#endif
#endif
extern BOOL extdet_flag;
										/* ANZXEXTDETLtO */
#ifdef __cplusplus
}
#endif

#endif	/* _subctrl_h_ */
