/*
 *	FM-7 EMULATOR "XM7"
 *
 *	Copyright (C) 1999-2025 ohD(Twitter:@xm6_original)
 *	Copyright (C) 2001-2025 Ryu Takegami (Twitter:@RyuTakegami)
 *	Copyright (C) 2010-2025 GIMONS
 *	Copyright (C) 2010-2025 Toma
 *
 *	[ Win32API Rg[o[ ]
 */

#ifdef _WIN32

#ifndef _w32_bar_h_
#define _w32_bar_h_

#ifdef __cplusplus
extern "C" {
#endif
/*
 *	vGg
 */
void FASTCALL LoadMessageStatusBar(void);
										/* bZ[W[h */
HWND FASTCALL CreateStatus(HWND hWnd);
										/* Xe[^Xo[쐬 */
void FASTCALL DrawStatus(void);
										/* ` */
void FASTCALL PaintStatus(void);
										/* ׂčĕ` */
void FASTCALL SizeStatus(LONG cx);
										/* TCYύX */
void FASTCALL OwnerDrawStatus(DRAWITEMSTRUCT *pDI);
										/* I[i[h[ */
void FASTCALL ResizeStatus(HWND hwnd, HWND hstatus);
										/* Xe[^Xo[TCY */
void FASTCALL SetStatusMessage(UINT ID);
										/* Xe[^XbZ[Wݒ */
void FASTCALL EndStatusMessage(void);
										/* Xe[^XbZ[W */
void FASTCALL OnMenuSelect(WPARAM wParam);
										/* WM_MENUSELECT */
void FASTCALL OnExitMenuLoop(void);
										/* WM_EXITMENULOOP */
void FASTCALL InitThemeDLL(void);
										/* uxtheme.dll  */
void FASTCALL CleanThemeDLL(void);
										/* uxtheme.dll N[Abv */
void FASTCALL ChangeStatusBorder(HWND hwnd);
										/* bZ[W{[_[` */

/*
 *	v[N
 */
extern HWND hStatusBar;
										/* Xe[^Xo[ */
extern BOOL bStatusMessage;
										/* Xe[^XbZ[W\ */
extern BOOL bStatusBar;
										/* Xe[^Xo[\ */
extern BOOL bMountFileName;
										/* ^Cgo[Ƀ}Egt@C */

#if XM7_VER == 1 && defined(SFDC)
extern int uPaneX[9];
										/* Drap&DroppyCXW */
#else	/* XM7_VER == 1 && defined(SFDC) */
extern int uPaneX[5];
										/* Drap&DroppyCXW */
#endif	/* XM7_VER == 1 && defined(SFDC) */
#ifdef __cplusplus
}
#endif

#endif	/* _w32_bar_h_ */
#endif	/* _WIN32 */
