/*
 *	FM-7 EMULATOR "XM7"
 *
 *	Copyright (C) 1999-2025 ohD(Twitter:@xm6_original)
 *	Copyright (C) 2001-2025 Ryu Takegami (Twitter:@RyuTakegami)
 *	Copyright (C) 2010-2025 GIMONS
 *	Copyright (C) 2010-2025 Toma
 *
 *	[ Win32API DirectDraw ]
 */

#ifdef _WIN32

#ifndef _w32_dd_h_
#define _w32_dd_h_

#ifdef __cplusplus
extern "C" {
#endif
/*
 *	萔`
 */
#define	DDRES_400LINE		0
#define	DDRES_480LINE		1
#define	DDRES_WUXGA			2
#define	DDRES_SXGA			3
#define	DDRES_WXGA800		4
#define	DDRES_USER			5

/*
 *	vGg
 */
void FASTCALL LoadMessageInitDD(void);
										/* bZ[W[h */
void FASTCALL InitDD(void);
										/*  */
void FASTCALL CleanDD(void);
										/* N[Abv */
BOOL FASTCALL SelectDD(void);
										/* ZNg */
void FASTCALL DrawDD(void);
										/* ` */
void FASTCALL DrawRasterDD(int nRaster);
										/* X^` */
void FASTCALL DrawPostRenderDD(void);
										/* X^_O` */
void FASTCALL EnterMenuDD(HWND hWnd, BOOL flag);
										/* j[Jn */
void FASTCALL ExitMenuDD(BOOL flag);
										/* j[I */
void FASTCALL VramDD(WORD addr);
										/* VRAMݒʒm */
void FASTCALL TvramDD(WORD addr);
										/* eLXgVRAMݒʒm */
void FASTCALL DigitalDD(void);
										/* TTLpbgʒm */
void FASTCALL AnalogDD(void);
										/* AiOpbgʒm */
void FASTCALL ReDrawDD(void);
										/* ĕ`ʒm */
void FASTCALL ReDrawTVRamDD(void);
										/* ĕ`ʒm */
#if XM7_VER >= 3
void FASTCALL WindowDD(void);
										/* n[hEFAEBhEʒm */
#endif

/*
 *	v[N
 */
#if XM7_VER == 1
extern DWORD rgbTTLDD[16];
										/* 640x200 pbg */
#else
extern DWORD rgbTTLDD[8];
										/* 640x200 pbg */
#endif
extern DWORD rgbAnalogDD[4096];
										/* 320x200 pbg */
extern BYTE nDDResolutionMode;
										/* tXN[𑜓x */
extern BOOL bDD480Status;
										/* 640x480 Xe[^XtO */
extern BOOL bDDtruecolor;
										/* TrueColorDtO */
#ifdef __cplusplus
}
#endif

#endif	/* _w32_dd_h_ */
#endif	/* _WIN32 */
