/*
 *	FM-7 EMULATOR "XM7"
 *
 *	Copyright (C) 1999-2025 ohD(Twitter:@xm6_original)
 *	Copyright (C) 2001-2025 Ryu Takegami (Twitter:@RyuTakegami)
 *	Copyright (C) 2010-2025 GIMONS
 *	Copyright (C) 2010-2025 Toma
 *
 *	[ Win32API XPW[ ]
 */

#ifdef _WIN32

#ifndef _w32_sch_h_
#define _w32_sch_h_

#ifdef __cplusplus
extern "C" {
#endif
/*
 *	vGg
 */
void FASTCALL InitSch(void);
										/*  */
void FASTCALL CleanSch(void);
										/* N[Abv */
BOOL FASTCALL SelectSch(void);
										/* ZNg */
void FASTCALL ResetSch(void);
										/* sZbg */
void FASTCALL DrawSubWindow(void);
										/* TuEChE` */

/*
 *	v[N
 */
extern DWORD dwExecTotal;
										/* sԃg[^ */
extern DWORD dwDrawTotal;
										/* `񐔃g[^ */
extern DWORD dwSoundTotal;
										/* TEhԃg[^ */
extern DWORD uTimerResolution;
										/* ^C}[x */
extern BOOL bTapeFullSpeed;
										/* e[v[h */
extern BOOL bFullSpeed;
										/* S͋쓮 */
extern BOOL bAutoSpeedAdjust;
										/* xtO */
extern DWORD dwNowTime;
										/* timeGetTime̒l */
extern BOOL bTapeModeType;
										/* e[v[h^Cv */
#ifdef DEBUG
extern DWORD dwCpuExecTime;
										/* CPUs */
extern DWORD dwDrawExecTime;
										/* _EBLTs */
extern DWORD dwPollExecTime;
										/* |[Os */
extern DWORD dwMainCycle;
										/* 1ms̃CCPUsTCN */
extern DWORD dwSubCycle;
										/* 1ms̃TuCPUsTCN */
extern DWORD dwMainCycleAvg;
										/* 100msԂ̃CsTCN */
extern DWORD dwSubCycleAvg;
										/* 100msԂ̃TusTCN */
#endif
extern BYTE nTimePeriod;
										/* ^C}xݒw */
#ifdef __cplusplus
}
#endif

#endif	/* _w32_sch_h_ */
#endif	/* _WIN32 */
